-- MySQL dump 10.13  Distrib 5.5.49, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: rms
-- ------------------------------------------------------
-- Server version	5.5.49-0ubuntu0.14.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `client`
--

DROP TABLE IF EXISTS `client`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `client` (
  `client_id` int(11) NOT NULL AUTO_INCREMENT,
  `school_id` int(11) NOT NULL,
  `firstname` varchar(100) NOT NULL,
  `middlename` varchar(100) NOT NULL,
  `lastname` varchar(100) NOT NULL,
  `type` varchar(100) NOT NULL,
  `department` varchar(300) NOT NULL,
  `contact` varchar(100) NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`client_id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `client`
--

LOCK TABLES `client` WRITE;
/*!40000 ALTER TABLE `client` DISABLE KEYS */;
INSERT INTO `client` VALUES (6,0,'Prothom','','-Alo','Rental','titoaub@gmail.com asadzr@gmail.com monowar80@gmail.com','01717474715','2017-11-14 10:40:53'),(7,0,'NTV','','BD','Rental','csenayeem025@gmail.com tanvir.pmp@gmail.com fakaruddin@ntvbd.com rrafiurr@gmail.com','01738912894','2017-11-14 10:46:27'),(8,0,'The','','Dailystar','Co-Location','sunknz@gmail.com imrul@thedailystar.net','01710177959','2017-11-14 13:50:38'),(9,0,'BD','','News24','Rental','amioyadutta@gmail.com pipasha@gmail.com','01717198738','2017-11-14 15:51:12'),(10,0,'Bangla','','Tribune','Rental','srromy@banglatribune.com jamil@jadewits.com','01710033444','2017-11-14 15:54:12'),(11,0,'Jago','','News24','Co-Location','ashik@jagonews24.com mohiuddin@jagonews24.com mis3@prangroup.com','01924603644','2017-11-14 16:07:21'),(12,0,'Pori','','borton','Rental','rajibnabi@yahoo.com rrafiurr@gmail.com','01813082175','2017-11-14 16:16:47'),(16,0,'BDCOM','PROHOST','Cloud','BDCOM','Dhaka','01730041455','2017-11-15 11:27:11'),(17,0,'BDCOM','DR','SERVER','BDCOM','khaja tower mohakhali','09666666666','2018-10-04 10:11:55'),(18,0,'BDCOM','','HQ','BDCOM','5/A','0966666666','2018-12-20 10:17:33'),(19,0,'BDCOM','DC','SERVER','BDCOM','5/A','09666666666','2018-12-20 10:21:04'),(21,0,'IPTSP BDCOM NRB','','DR','BDCOM','Mohakhali','0966666666','2019-06-20 14:22:41');
/*!40000 ALTER TABLE `client` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS `history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `history` (
  `history_id` int(11) NOT NULL AUTO_INCREMENT,
  `date` datetime NOT NULL,
  `action` varchar(100) NOT NULL,
  `data` varchar(100) NOT NULL,
  PRIMARY KEY (`history_id`)
) ENGINE=InnoDB AUTO_INCREMENT=614 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history`
--

LOCK TABLES `history` WRITE;
/*!40000 ALTER TABLE `history` DISABLE KEYS */;
INSERT INTO `history` VALUES (1,'2015-11-10 14:01:56','Add User',' John Doe'),(2,'2015-11-10 14:02:41','Login','John Doe'),(3,'2015-11-10 14:03:05','Add User','John Doe'),(4,'2015-11-10 14:04:16','Logout','John Doe'),(5,'2015-11-10 14:04:49','Login','Jane Doe'),(6,'2015-11-10 14:04:56','Logout','Jane Doe'),(7,'2015-11-10 14:05:09','Login','Jane Doe'),(8,'2015-11-10 14:05:31','Add User','Jane Doe'),(9,'2015-11-10 14:41:30','Add Client','John Doe'),(10,'2015-11-10 14:41:34','Add Client','John Doe'),(11,'2015-11-10 14:43:00','Add Client','John Doe'),(12,'2015-11-10 14:45:34','Logout','John Doe'),(13,'2015-11-17 12:36:35','Login','John Doe'),(14,'2015-11-17 12:50:47','Logout','John Doe'),(15,'2015-11-17 12:50:51','Login','John Doe'),(16,'2015-11-17 13:35:08','Add Item','John Doe'),(17,'2015-11-18 15:05:00','Login','John Doe'),(18,'2015-11-18 15:44:13','Add Item','John Doe'),(19,'2015-11-18 16:16:45','Edit Item Details','John Doe'),(20,'2015-11-18 16:17:04','Edit Item Details','John Doe'),(21,'2015-11-18 16:27:13','Add Item','John Doe'),(22,'2015-11-18 16:27:20','Delete Item',' '),(23,'2015-11-18 16:27:44','Add Item','John Doe'),(24,'2015-11-18 16:30:25','Delete Item',' '),(25,'2015-11-18 16:34:10','Add Item','John Doe'),(26,'2015-11-18 16:34:57','Delete Item','John Doe'),(27,'2015-11-18 16:36:05','Logout','John Doe'),(28,'2015-11-18 16:36:47','Login','John Doe'),(29,'2015-11-18 16:37:15','Logout','John Doe'),(30,'2015-11-20 10:37:19','Login','John Doe'),(31,'2015-11-20 13:24:38','Logout','John Doe'),(32,'2015-11-20 13:25:35','Login','John Doe'),(33,'2015-11-20 13:31:44','Login','John Doe'),(34,'2015-11-20 13:32:35','Add User','John Doe'),(35,'2015-11-20 13:35:55','Add Client','John Doe'),(36,'2015-11-20 13:37:29','Add Item','John Doe'),(37,'2015-11-21 18:32:01','Login','John Doe'),(38,'2015-11-21 18:34:06','Logout','John Doe'),(39,'2015-11-21 18:34:11','Login','John Doe'),(40,'2015-11-21 18:37:01','Add Item','John Doe'),(41,'2015-11-21 22:39:38','Edit Client Details','John Doe'),(42,'2015-11-21 22:40:21','Edit Client Details','John Doe'),(43,'2015-11-21 22:40:41','Edit Client Details','John Doe'),(44,'2015-11-21 22:46:41','Add Client','John Doe'),(45,'2015-11-21 22:47:27','Delete Client','John Doe'),(46,'2015-11-21 22:48:02','Delete Client','John Doe'),(47,'2015-11-21 22:48:30','Add Client','John Doe'),(48,'2015-11-21 22:48:52','Delete Client','John Doe'),(49,'2015-11-21 23:12:05','Edit User Details','John Doe'),(50,'2015-11-21 23:16:23','Delete User','John Doe'),(51,'2015-11-21 23:16:31','Delete User','John Doe'),(52,'2015-11-21 23:16:40','Logout','John Doe'),(53,'2015-11-21 23:17:28','Login','Jane Doe'),(54,'2015-11-21 23:18:51','Logout','Jane Doe'),(55,'2015-11-22 23:03:55','Login','John Doe'),(56,'2015-11-23 00:09:10','Edit Client Details','John Doe'),(57,'2015-11-23 00:09:50','Edit Client Details','John Doe'),(58,'2015-11-23 00:10:01','Edit Client Details','John Doe'),(59,'2015-11-23 00:15:53','Edit User Details','John Doe'),(60,'2015-11-23 00:16:03','Edit User Details','John Doe'),(61,'2015-11-23 00:17:51','Login','John Doe'),(62,'2015-11-23 00:17:56','Logout','John Doe'),(63,'2015-11-23 00:18:40','Login','John Doe'),(64,'2015-11-23 00:24:12','Logout','John Doe'),(65,'2015-11-23 07:59:10','Login','John Doe'),(66,'2015-11-23 08:10:45','Logout','John Doe'),(67,'2015-11-23 08:43:58','Login','John Doe'),(68,'2015-11-23 08:50:00','Logout','John Doe'),(69,'2015-11-23 11:36:30','Login','John Doe'),(70,'2015-11-23 12:14:46','Logout','Jane Doe'),(71,'2015-11-23 12:14:50','Login','John Doe'),(72,'2015-11-23 13:18:53','Logout',' '),(73,'2015-11-23 13:18:56','Login','John Doe'),(74,'2015-11-23 13:22:42','Logout','John Doe'),(75,'2015-11-23 13:23:02','Login','John Doe'),(76,'2015-12-01 16:25:51','Login','John Doe'),(77,'2015-12-01 18:14:18','Logout','John Doe'),(78,'2015-12-01 22:27:44','Login','John Doe'),(79,'2015-12-02 01:06:56','Logout','Jane Doe'),(80,'2015-12-02 15:27:04','Login','John Doe'),(81,'2015-12-04 16:24:19','Login','John Doe'),(82,'2015-12-09 12:52:37','Login','John Doe'),(83,'2015-12-09 12:55:15','Login','John Doe'),(84,'2015-12-09 12:56:46','Logout','John Doe'),(85,'2015-12-10 15:43:37','Login','John Doe'),(86,'2016-01-30 11:23:27','Login','John Doe'),(87,'2016-01-30 12:30:41','Add Item','John Doe'),(88,'2016-01-30 12:33:42','Add Item','John Doe'),(89,'2016-01-30 12:35:45','Add Item','John Doe'),(90,'2016-01-30 12:36:52','Add Item','John Doe'),(91,'2016-01-30 12:36:56','Add Item','John Doe'),(92,'2016-01-30 12:36:59','Add Item','John Doe'),(93,'2016-01-30 12:38:29','Add Item','John Doe'),(94,'2016-01-30 13:05:41','Add Item','John Doe'),(95,'2016-01-30 13:06:22','Add Item','John Doe'),(96,'2016-01-30 13:08:17','Add Item','John Doe'),(97,'2016-01-30 13:08:34','Add Item','John Doe'),(98,'2016-01-30 13:17:32','Add Item','John Doe'),(99,'2016-01-30 13:17:51','Add Item','John Doe'),(100,'2016-01-30 13:20:13','Add Item','John Doe'),(101,'2016-01-30 13:20:30','Add Item','John Doe'),(102,'2016-01-30 13:59:13','Edit Item Details','John Doe'),(103,'2016-01-30 14:00:35','Edit Item Details','John Doe'),(104,'2016-01-30 14:10:39','Edit Item Details','John Doe'),(105,'2016-01-30 14:22:55','Edit Item Details','John Doe'),(106,'2016-01-30 14:24:42','Edit Item Details','John Doe'),(107,'2016-01-30 14:28:13','Edit Item Details','John Doe'),(108,'2016-01-30 14:29:29','Edit Item Details','John Doe'),(109,'2016-01-30 14:29:37','Edit Item Details','John Doe'),(110,'2016-01-30 15:26:00','Edit Item Details','John Doe'),(111,'2016-01-30 15:27:52','Edit Item Details','John Doe'),(112,'2016-01-30 15:27:59','Edit Item Details','John Doe'),(113,'2016-01-30 15:28:05','Edit Item Details','John Doe'),(114,'2016-01-30 15:44:11','Logout','John Doe'),(115,'2016-02-01 09:24:13','Login','John Doe'),(116,'2016-02-01 09:32:18','Add Client, tt ','John Doe'),(117,'2016-02-01 09:34:44','Edit Client, Rolyn Jaspers C. Demerin Details','John Doe'),(118,'2016-02-01 09:38:45','Delete Client, tt tt tt Details','John Doe'),(119,'2016-02-01 09:39:53','Edit Item Details','John Doe'),(120,'2016-02-01 09:41:25','Edit Item Details','John Doe'),(121,'2016-02-01 09:42:10','Edit Item Details','John Doe'),(122,'2016-02-01 09:50:44','Add Item','John Doe'),(123,'2016-02-01 10:21:15','Add Item','John Doe'),(124,'2016-02-02 13:41:40','Login','John Doe'),(125,'2016-02-02 16:24:12','Login','John Doe'),(126,'2016-02-02 20:30:14','Logout','John Doe'),(127,'2016-02-02 20:43:35','Login','John Doe'),(128,'2016-02-02 22:44:43','Login','John Doe'),(129,'2016-02-03 22:02:43','Login','John Doe'),(130,'2016-02-03 23:20:39','Logout','John Doe'),(131,'2017-11-06 10:44:02','Login','John Doe'),(132,'2017-11-06 10:52:20','Edit User Details','John Doe'),(133,'2017-11-06 10:55:05','Add Item','Aminul  NOC'),(134,'2017-11-06 10:58:53','Add Item','Aminul  NOC'),(135,'2017-11-06 10:59:21','Delete Item','Aminul  NOC'),(136,'2017-11-06 11:00:40','Logout','Aminul  NOC'),(137,'2017-11-06 11:01:52','Login','Aminul  NOC'),(138,'2017-11-06 11:05:42','Login','Aminul  NOC'),(139,'2017-11-06 11:33:20','Add Item','Aminul  NOC'),(140,'2017-11-06 11:33:58','Edit Item Details','Aminul  NOC'),(141,'2017-11-06 11:43:08','Logout','Aminul  NOC'),(142,'2017-11-06 11:43:26','Login','Aminul  NOC'),(143,'2017-11-06 11:46:50','Edit Item Details','Aminul  NOC'),(144,'2017-11-06 12:25:46','Login','Aminul  NOC'),(145,'2017-11-06 12:26:32','Add Item','Aminul  NOC'),(146,'2017-11-06 12:27:24','Logout','Aminul  NOC'),(147,'2017-11-06 13:02:16','Login','Aminul  NOC'),(148,'2017-11-06 13:02:44','Add Item','Aminul  NOC'),(149,'2017-11-06 13:04:22','Add Item','Aminul  NOC'),(150,'2017-11-06 13:11:59','Add Item','Aminul  NOC'),(151,'2017-11-06 13:28:34','Login','Aminul  NOC'),(152,'2017-11-06 13:40:20','Login','Aminul  NOC'),(153,'2017-11-06 13:44:42','Login','Aminul  NOC'),(154,'2017-11-06 14:02:00','Logout','Aminul  NOC'),(155,'2017-11-06 14:02:04','Login','Aminul  NOC'),(156,'2017-11-06 14:23:58','Add Item','Aminul  NOC'),(157,'2017-11-06 14:27:50','Add Item','Aminul  NOC'),(158,'2017-11-06 15:57:37','Login','Aminul  NOC'),(159,'2017-11-06 15:58:36','Add Item','Aminul  NOC'),(160,'2017-11-06 16:03:43','Add Item','Aminul  NOC'),(161,'2017-11-06 16:05:51','Add Item','Aminul  NOC'),(162,'2017-11-06 16:09:19','Login','Aminul  NOC'),(163,'2017-11-06 16:13:43','Add Item','Aminul  NOC'),(164,'2017-11-06 16:22:57','Add Item','Aminul  NOC'),(165,'2017-11-06 16:25:44','Login','Aminul  NOC'),(166,'2017-11-06 16:27:08','Delete Item','Aminul  NOC'),(167,'2017-11-06 16:27:11','Delete Item','Aminul  NOC'),(168,'2017-11-06 16:31:17','Add Item','Aminul  NOC'),(169,'2017-11-06 16:34:29','Login','Aminul  NOC'),(170,'2017-11-06 16:36:33','Logout','Aminul  NOC'),(171,'2017-11-06 16:39:17','Login','Aminul  NOC'),(172,'2017-11-06 17:02:17','Login','Aminul  NOC'),(173,'2017-11-06 17:05:24','Logout','Aminul  NOC'),(174,'2017-11-06 17:39:26','Add Item','Aminul  NOC'),(175,'2017-11-06 17:40:32','Delete Item','Aminul  NOC'),(176,'2017-11-06 17:40:41','Delete Item','Aminul  NOC'),(177,'2017-11-06 17:49:29','Edit Item Details','Aminul  NOC'),(178,'2017-11-06 17:49:39','Edit Item Details','Aminul  NOC'),(179,'2017-11-06 17:50:57','Login','Aminul  NOC'),(180,'2017-11-06 18:04:07','Login','Aminul  NOC'),(181,'2017-11-06 18:05:51','Logout','Aminul  NOC'),(182,'2017-11-06 21:10:10','Login','Aminul  NOC'),(183,'2017-11-07 12:01:49','Login','Aminul  NOC'),(184,'2017-11-07 12:12:04','Login','Aminul  NOC'),(185,'2017-11-07 12:24:12','Add Item','Aminul  NOC'),(186,'2017-11-07 13:13:17','Edit Item Details','Aminul  NOC'),(187,'2017-11-07 15:16:30','Add Item','Aminul  NOC'),(188,'2017-11-07 15:18:25','Edit Item Details','Aminul  NOC'),(189,'2017-11-07 15:18:34','Edit Item Details','Aminul  NOC'),(190,'2017-11-07 15:25:09','Delete Client','Aminul  NOC'),(191,'2017-11-07 16:02:08','Login','Aminul  NOC'),(192,'2017-11-07 16:05:21','Delete Client','Aminul  NOC'),(193,'2017-11-07 16:06:21','Delete User','Aminul  NOC'),(194,'2017-11-07 16:07:03','Add User','Aminul  NOC'),(195,'2017-11-07 16:16:43','Login','Aminul  NOC'),(196,'2017-11-07 16:19:28','Login','Aminul  NOC'),(197,'2017-11-07 16:33:05','Login','Aminul  NOC'),(198,'2017-11-07 16:34:15','Add User',' '),(199,'2017-11-07 16:34:38','Login','Aminul  NOC'),(200,'2017-11-07 16:46:50','Login','Aminul  NOC'),(201,'2017-11-07 17:04:48','Login','Aminul  NOC'),(202,'2017-11-07 22:37:29','Login','Aminul  NOC'),(203,'2017-11-08 09:40:24','Login','Aminul  NOC'),(204,'2017-11-08 10:09:23','Add Item','Aminul  NOC'),(205,'2017-11-08 10:30:41','Login','Aminul  NOC'),(206,'2017-11-08 11:09:43','Login','Aminul  NOC'),(207,'2017-11-08 11:16:04','Login','Aminul  NOC'),(208,'2017-11-08 14:00:52','Login','Aminul  NOC'),(209,'2017-11-08 14:02:15','Logout','Aminul  NOC'),(210,'2017-11-08 14:02:30','Login','Aminul  NOC'),(211,'2017-11-08 14:06:59','Add User','Aminul  NOC'),(212,'2017-11-08 14:07:05','Logout','Aminul  NOC'),(213,'2017-11-08 14:07:15','Login','Ekram  Ahamd'),(214,'2017-11-09 09:22:04','Login','Aminul  NOC'),(215,'2017-11-09 09:44:42','Edit Item Details','Aminul  NOC'),(216,'2017-11-09 09:45:09','Edit Item Details','Aminul  NOC'),(217,'2017-11-09 09:45:53','Add Item','Aminul  NOC'),(218,'2017-11-09 10:07:34','Edit Item Details','Aminul  NOC'),(219,'2017-11-09 10:07:58','Edit Item Details','Aminul  NOC'),(220,'2017-11-09 10:10:47','Edit Item Details','Aminul  NOC'),(221,'2017-11-09 10:11:10','Edit Item Details','Aminul  NOC'),(222,'2017-11-09 10:19:55','Edit Item Details','Aminul  NOC'),(223,'2017-11-09 10:20:14','Edit Item Details','Aminul  NOC'),(224,'2017-11-09 10:20:56','Edit Item Details','Aminul  NOC'),(225,'2017-11-09 10:38:19','Edit Item Details','Aminul  NOC'),(226,'2017-11-09 10:44:20','Add Client','Aminul  NOC'),(227,'2017-11-09 10:47:22','Edit Client Details','Aminul  NOC'),(228,'2017-11-09 10:52:34','Login','GZ Kabir'),(229,'2017-11-09 11:22:47','Login','Aminul  NOC'),(230,'2017-11-09 11:29:57','Add Client','Aminul  NOC'),(231,'2017-11-09 11:32:23','Add Client','Aminul  NOC'),(232,'2017-11-09 12:03:36','Edit Item Details','Aminul  NOC'),(233,'2017-11-09 12:24:56','Edit Item Details','Aminul  NOC'),(234,'2017-11-09 12:46:03','Edit Item Details','Aminul  NOC'),(235,'2017-11-09 13:26:47','Login','GZ Kabir'),(236,'2017-11-09 13:27:18','Edit Item Details','Aminul  NOC'),(237,'2017-11-09 14:25:03','Login','Aminul  NOC'),(238,'2017-11-09 15:02:50','Edit Item Details','Aminul  NOC'),(239,'2017-11-09 15:12:09','Login','GZ Kabir'),(240,'2017-11-09 15:26:02','Login','Aminul  NOC'),(241,'2017-11-09 15:26:54','Logout','Aminul  NOC'),(242,'2017-11-09 15:46:15','Login','GZ Kabir'),(243,'2017-11-09 17:21:21','Login','Aminul  NOC'),(244,'2017-11-12 11:16:26','Login','Aminul  NOC'),(245,'2017-11-12 12:58:43','Login','Aminul  NOC'),(246,'2017-11-13 11:23:48','Login','Aminul  NOC'),(247,'2017-11-14 10:11:22','Login','Aminul  NOC'),(248,'2017-11-14 10:12:37','Edit Item Details','Aminul  NOC'),(249,'2017-11-14 10:40:53','Add Client','Aminul  NOC'),(250,'2017-11-14 10:41:52','Edit Client Details','Aminul  NOC'),(251,'2017-11-14 10:42:32','Edit Client Details','Aminul  NOC'),(252,'2017-11-14 10:43:13','Edit Client Details','Aminul  NOC'),(253,'2017-11-14 10:43:34','Delete Client','Aminul  NOC'),(254,'2017-11-14 10:43:38','Delete Client','Aminul  NOC'),(255,'2017-11-14 10:43:43','Delete Client','Aminul  NOC'),(256,'2017-11-14 10:46:27','Add Client','Aminul  NOC'),(257,'2017-11-14 10:47:42','Edit Client Details','Aminul  NOC'),(258,'2017-11-14 10:48:12','Edit Item Details','Aminul  NOC'),(259,'2017-11-14 10:48:21','Edit Item Details','Aminul  NOC'),(260,'2017-11-14 10:48:34','Edit Item Details','Aminul  NOC'),(261,'2017-11-14 10:49:07','Edit Item Details','Aminul  NOC'),(262,'2017-11-14 13:16:15','Login','Aminul  NOC'),(263,'2017-11-14 13:33:03','Edit Item Details','Aminul  NOC'),(264,'2017-11-14 13:33:12','Edit Item Details','Aminul  NOC'),(265,'2017-11-14 13:34:16','Edit Item Details','Aminul  NOC'),(266,'2017-11-14 13:34:24','Edit Item Details','Aminul  NOC'),(267,'2017-11-14 13:34:33','Edit Item Details','Aminul  NOC'),(268,'2017-11-14 13:45:18','Edit Item Details','Aminul  NOC'),(269,'2017-11-14 13:45:37','Edit Item Details','Aminul  NOC'),(270,'2017-11-14 13:50:38','Add Client','Aminul  NOC'),(271,'2017-11-14 13:51:26','Edit Client Details','Aminul  NOC'),(272,'2017-11-14 13:52:26','Edit Client Details','Aminul  NOC'),(273,'2017-11-14 13:55:18','Edit Client Details','Aminul  NOC'),(274,'2017-11-14 13:55:51','Edit Client Details','Aminul  NOC'),(275,'2017-11-14 13:56:24','Edit Item Details','Aminul  NOC'),(276,'2017-11-14 13:56:42','Edit Item Details','Aminul  NOC'),(277,'2017-11-14 15:34:08','Login','Aminul  NOC'),(278,'2017-11-14 15:51:12','Add Client','Aminul  NOC'),(279,'2017-11-14 15:51:36','Edit Item Details','Aminul  NOC'),(280,'2017-11-14 15:51:49','Edit Item Details','Aminul  NOC'),(281,'2017-11-14 15:54:12','Add Client','Aminul  NOC'),(282,'2017-11-14 16:01:12','Edit Item Details','Aminul  NOC'),(283,'2017-11-14 16:01:33','Edit Item Details','Aminul  NOC'),(284,'2017-11-14 16:01:51','Edit Item Details','Aminul  NOC'),(285,'2017-11-14 16:02:18','Edit Item Details','Aminul  NOC'),(286,'2017-11-14 16:02:41','Edit Item Details','Aminul  NOC'),(287,'2017-11-14 16:02:54','Edit Item Details','Aminul  NOC'),(288,'2017-11-14 16:07:21','Add Client','Aminul  NOC'),(289,'2017-11-14 16:10:57','Edit Item Details','Aminul  NOC'),(290,'2017-11-14 16:11:16','Edit Item Details','Aminul  NOC'),(291,'2017-11-14 16:16:47','Add Client','Aminul  NOC'),(292,'2017-11-14 16:17:08','Edit Item Details','Aminul  NOC'),(293,'2017-11-14 17:03:20','Login','Aminul  NOC'),(294,'2017-11-14 20:45:35','Login','Aminul  NOC'),(295,'2017-11-15 10:02:41','Login','Aminul  NOC'),(296,'2017-11-15 10:08:35','Edit Item Details','Aminul  NOC'),(297,'2017-11-15 10:09:05','Edit Item Details','Aminul  NOC'),(298,'2017-11-15 10:42:48','Login','Aminul  NOC'),(299,'2017-11-15 11:03:07','Login','Aminul  NOC'),(300,'2017-11-15 11:19:04','Add Client','Aminul  NOC'),(301,'2017-11-15 11:19:47','Delete Client','Aminul  NOC'),(302,'2017-11-15 11:20:23','Add Client','Aminul  NOC'),(303,'2017-11-15 11:25:05','Add V Client','Aminul  NOC'),(304,'2017-11-15 11:25:39','Delete Client','Aminul  NOC'),(305,'2017-11-15 11:25:43','Delete Client','Aminul  NOC'),(306,'2017-11-15 11:27:11','Add V Client','Aminul  NOC'),(307,'2017-11-15 11:35:33','Add V Client','Aminul  NOC'),(308,'2017-11-15 14:05:51','Login','Aminul  NOC'),(309,'2017-11-15 15:05:18','Add V Client','Aminul  NOC'),(310,'2017-11-15 15:06:19','Add V Client','Aminul  NOC'),(311,'2017-11-15 15:08:33','Add V Client','Aminul  NOC'),(312,'2017-11-15 17:28:43','Login','Aminul  NOC'),(313,'2017-11-23 10:11:14','Login','Aminul  NOC'),(314,'2017-12-10 10:52:01','Login','Aminul  NOC'),(315,'2017-12-10 16:50:43','Login','Aminul  NOC'),(316,'2017-12-12 09:24:52','Login','Aminul  NOC'),(317,'2017-12-14 16:29:34','Login','Aminul  NOC'),(318,'2017-12-14 16:32:45','Edit Item Details','Aminul  NOC'),(319,'2017-12-14 16:32:54','Edit Item Details','Aminul  NOC'),(320,'2017-12-21 12:38:32','Login','Aminul  NOC'),(321,'2017-12-26 15:51:51','Login','Aminul  NOC'),(322,'2018-01-23 11:09:52','Login','Aminul  NOC'),(323,'2018-01-24 12:59:24','Login','Aminul  NOC'),(324,'2018-01-25 09:32:24','Login','Aminul  NOC'),(325,'2018-01-28 08:19:30','Login','Aminul  NOC'),(326,'2018-01-29 17:14:23','Login','Aminul  NOC'),(327,'2018-02-02 22:23:48','Login','Ekram  Ahamd'),(328,'2018-02-05 17:37:28','Login','Aminul  NOC'),(329,'2018-02-08 11:54:00','Login','GZ Kabir'),(330,'2018-02-08 12:26:19','Login','Aminul  NOC'),(331,'2018-02-11 11:08:46','Login','Aminul  NOC'),(332,'2018-02-11 11:11:20','Login','GZ Kabir'),(333,'2018-02-11 11:54:11','Login','Aminul  NOC'),(334,'2018-02-11 13:15:58','Login','GZ Kabir'),(335,'2018-02-11 13:16:18','Edit Item Details','GZ Kabir'),(336,'2018-02-18 16:14:58','Login','Aminul  NOC'),(337,'2018-03-01 11:26:54','Login','Aminul  NOC'),(338,'2018-03-05 09:31:20','Login','Aminul  NOC'),(339,'2018-04-06 09:01:04','Login','Aminul  NOC'),(340,'2018-04-25 09:53:37','Login','Aminul  NOC'),(341,'2018-04-25 15:12:46','Login','Aminul  NOC'),(342,'2018-06-06 14:48:21','Login','Aminul  NOC'),(343,'2018-06-06 15:03:31','Edit Item Details','Aminul  NOC'),(344,'2018-06-06 15:04:10','Edit Item Details','Aminul  NOC'),(345,'2018-06-06 15:08:40','Edit Item Details','Aminul  NOC'),(346,'2018-06-06 15:09:49','Edit Item Details','Aminul  NOC'),(347,'2018-06-06 15:10:24','Edit Item Details','Aminul  NOC'),(348,'2018-06-06 15:11:06','Edit Item Details','Aminul  NOC'),(349,'2018-06-06 15:11:59','Edit Item Details','Aminul  NOC'),(350,'2018-06-12 09:54:39','Login','Aminul  NOC'),(351,'2018-06-27 14:41:45','Login','Aminul  NOC'),(352,'2018-07-05 17:16:15','Login','Aminul  NOC'),(353,'2018-07-23 17:42:02','Login','Aminul  NOC'),(354,'2018-07-26 15:05:52','Login','Aminul  NOC'),(355,'2018-08-18 12:05:11','Login','Aminul  NOC'),(356,'2018-08-28 14:53:42','Login','Aminul  NOC'),(357,'2018-09-23 14:44:39','Login','Aminul  NOC'),(358,'2018-09-24 21:49:56','Login','Aminul  NOC'),(359,'2018-10-03 16:39:27','Login','Aminul  NOC'),(360,'2018-10-03 16:57:10','Edit Item Details','Aminul  NOC'),(361,'2018-10-03 17:34:17','Edit Item Details','Aminul  NOC'),(362,'2018-10-03 17:35:04','Edit Item Details','Aminul  NOC'),(363,'2018-10-03 17:35:29','Edit Item Details','Aminul  NOC'),(364,'2018-10-03 17:36:17','Edit Item Details','Aminul  NOC'),(365,'2018-10-03 17:36:42','Edit Item Details','Aminul  NOC'),(366,'2018-10-03 17:36:55','Edit Item Details','Aminul  NOC'),(367,'2018-10-03 17:37:04','Edit Item Details','Aminul  NOC'),(368,'2018-10-03 17:44:12','Login','Aminul  NOC'),(369,'2018-10-04 10:09:52','Login','Aminul  NOC'),(370,'2018-10-04 10:11:55','Add Client','Aminul  NOC'),(371,'2018-10-04 10:13:33','Edit Item Details','Aminul  NOC'),(372,'2018-10-04 10:13:45','Edit Item Details','Aminul  NOC'),(373,'2018-10-04 10:13:55','Edit Item Details','Aminul  NOC'),(374,'2018-10-15 18:22:43','Login','Aminul  NOC'),(375,'2018-10-15 18:33:22','Edit Item Details','Aminul  NOC'),(376,'2018-11-06 10:01:16','Login','Aminul  NOC'),(377,'2018-11-13 10:42:17','Login','Aminul  NOC'),(378,'2018-11-14 10:11:40','Login','Aminul  NOC'),(379,'2018-11-14 10:13:20','Edit Item Details','Aminul  NOC'),(380,'2018-11-14 10:17:39','Edit Item Details','Aminul  NOC'),(381,'2018-11-14 10:31:54','Edit Item Details','Aminul  NOC'),(382,'2018-11-14 10:33:37','Edit Item Details','Aminul  NOC'),(383,'2018-11-14 10:35:28','Edit Item Details','Aminul  NOC'),(384,'2018-11-14 10:36:57','Edit Item Details','Aminul  NOC'),(385,'2018-11-14 10:56:55','Edit Item Details','Aminul  NOC'),(386,'2018-11-14 11:08:25','Edit Item Details','Aminul  NOC'),(387,'2018-11-14 11:09:56','Edit Item Details','Aminul  NOC'),(388,'2018-11-14 11:13:07','Edit Item Details','Aminul  NOC'),(389,'2018-11-14 11:14:35','Edit Item Details','Aminul  NOC'),(390,'2018-11-14 11:15:44','Edit Item Details','Aminul  NOC'),(391,'2018-11-14 11:16:20','Edit Item Details','Aminul  NOC'),(392,'2018-11-14 11:17:11','Edit Item Details','Aminul  NOC'),(393,'2018-11-14 11:17:53','Edit Item Details','Aminul  NOC'),(394,'2018-11-14 11:18:48','Edit Item Details','Aminul  NOC'),(395,'2018-11-14 11:19:18','Edit Item Details','Aminul  NOC'),(396,'2018-11-14 11:57:29','Edit Item Details','Aminul  NOC'),(397,'2018-11-14 11:59:22','Edit Item Details','Aminul  NOC'),(398,'2018-11-14 12:00:18','Edit Item Details','Aminul  NOC'),(399,'2018-11-14 12:06:51','Edit Item Details','Aminul  NOC'),(400,'2018-11-14 12:08:06','Edit Item Details','Aminul  NOC'),(401,'2018-11-14 12:10:44','Edit Item Details','Aminul  NOC'),(402,'2018-11-14 12:11:48','Edit Item Details','Aminul  NOC'),(403,'2018-11-14 12:12:55','Edit Item Details','Aminul  NOC'),(404,'2018-11-14 12:14:02','Edit Item Details','Aminul  NOC'),(405,'2018-11-14 12:17:27','Add Item','Aminul  NOC'),(406,'2018-11-14 12:20:17','Edit Item Details','Aminul  NOC'),(407,'2018-11-15 12:41:06','Login','Aminul  NOC'),(408,'2018-11-15 12:51:04','Add User','Aminul  NOC'),(409,'2018-11-15 13:46:39','Login','MD ASADUZZAMAN Ripon'),(410,'2018-11-15 13:48:35','Edit Item Details','MD ASADUZZAMAN Ripon'),(411,'2018-11-15 13:49:36','Edit Item Details','MD ASADUZZAMAN Ripon'),(412,'2018-11-15 13:50:17','Edit Item Details','MD ASADUZZAMAN Ripon'),(413,'2018-11-15 13:50:58','Edit Item Details','MD ASADUZZAMAN Ripon'),(414,'2018-11-15 13:51:36','Edit Item Details','MD ASADUZZAMAN Ripon'),(415,'2018-11-15 13:52:10','Edit Item Details','MD ASADUZZAMAN Ripon'),(416,'2018-11-15 13:52:46','Edit Item Details','MD ASADUZZAMAN Ripon'),(417,'2018-11-15 13:53:25','Edit Item Details','MD ASADUZZAMAN Ripon'),(418,'2018-11-15 15:05:25','Logout',' '),(419,'2018-11-19 14:36:04','Login','Aminul  NOC'),(420,'2018-11-22 10:42:03','Login','Aminul  NOC'),(421,'2018-11-22 14:09:51','Login','Aminul  NOC'),(422,'2018-11-28 15:23:45','Login','Aminul  NOC'),(423,'2018-11-28 15:30:45','Edit Item Details','Aminul  NOC'),(424,'2018-11-28 15:31:41','Edit Item Details','Aminul  NOC'),(425,'2018-11-28 15:35:21','Edit Item Details','Aminul  NOC'),(426,'2018-11-28 15:42:04','Edit Client Details','Aminul  NOC'),(427,'2018-11-28 15:45:10','Edit Item Details','Aminul  NOC'),(428,'2018-12-03 14:09:47','Login','Aminul  NOC'),(429,'2018-12-20 09:53:11','Login','Aminul  NOC'),(430,'2018-12-20 10:14:13','Edit Item Details','Aminul  NOC'),(431,'2018-12-20 10:15:33','Edit Item Details','Aminul  NOC'),(432,'2018-12-20 10:17:33','Add Client','Aminul  NOC'),(433,'2018-12-20 10:21:04','Add Client','Aminul  NOC'),(434,'2019-01-06 15:46:55','Login','Aminul  NOC'),(435,'2019-01-07 11:11:45','Login','Aminul  NOC'),(436,'2019-01-13 12:53:11','Login','Aminul  NOC'),(437,'2019-01-13 15:41:55','Login','Aminul  NOC'),(438,'2019-01-13 16:35:59','Edit Item Details','Aminul  NOC'),(439,'2019-01-14 09:45:09','Login','Aminul  NOC'),(440,'2019-01-14 11:49:30','Login','Aminul  NOC'),(441,'2019-01-14 11:52:16','Login','Aminul  NOC'),(442,'2019-01-14 12:30:27','Add User','Aminul  NOC'),(443,'2019-01-14 13:47:46','Login','Aminul  NOC'),(444,'2019-01-14 14:07:23','Edit Item Details','Aminul  NOC'),(445,'2019-01-14 14:23:52','Edit Item Details','Aminul  NOC'),(446,'2019-01-21 09:58:01','Login','Aminul  NOC'),(447,'2019-01-21 10:24:04','Edit Item Details','Aminul  NOC'),(448,'2019-01-21 10:26:43','Edit Item Details','Aminul  NOC'),(449,'2019-01-21 11:03:54','Login','Aminul  NOC'),(450,'2019-01-21 11:12:21','Login','Aminul  NOC'),(451,'2019-01-21 11:13:39','Edit Item Details','Aminul  NOC'),(452,'2019-02-10 17:02:36','Login','Aminul  NOC'),(453,'2019-03-04 09:48:43','Login','Aminul  NOC'),(454,'2019-03-06 12:36:38','Login','GZ Kabir'),(455,'2019-03-19 17:53:53','Login','Aminul  NOC'),(456,'2019-03-24 16:43:43','Login','Aminul  NOC'),(457,'2019-05-22 13:30:25','Login','Aminul  NOC'),(458,'2019-05-22 13:45:56','Login','GZ Kabir'),(459,'2019-05-22 14:29:20','Edit Item Details','GZ Kabir'),(460,'2019-05-29 12:16:19','Login','Aminul  NOC'),(461,'2019-05-29 12:41:09','Login','Aminul  NOC'),(462,'2019-05-29 12:48:25','Add Client','Aminul  NOC'),(463,'2019-05-29 12:48:45','Delete Client','Aminul  NOC'),(464,'2019-05-29 12:50:45','Login','Aminul  NOC'),(465,'2019-05-29 13:03:01','Logout','Aminul  NOC'),(466,'2019-05-29 13:11:02','Login','Aminul  NOC'),(467,'2019-05-29 13:14:18','Edit Client Details','Aminul  NOC'),(468,'2019-05-29 13:15:18','Edit Client Details','Aminul  NOC'),(469,'2019-05-29 13:26:16','Edit Client Details','Aminul  NOC'),(470,'2019-05-29 13:28:30','Edit Client Details','Aminul  NOC'),(471,'2019-05-29 13:29:03','Edit Client Details','Aminul  NOC'),(472,'2019-05-29 13:50:26','Login','Aminul  NOC'),(473,'2019-05-29 13:51:37','Add User','Aminul  NOC'),(474,'2019-05-29 13:51:46','Logout','Aminul  NOC'),(475,'2019-05-29 13:51:50','Login','S M Kamruzzaman'),(476,'2019-05-29 13:56:40','Logout','S M Kamruzzaman'),(477,'2019-05-29 14:47:48','Login','Aminul  NOC'),(478,'2019-06-17 10:17:30','Login','GZ Kabir'),(479,'2019-06-17 10:21:11','Edit Item Details','GZ Kabir'),(480,'2019-06-17 10:23:59','Edit Item Details','GZ Kabir'),(481,'2019-06-20 13:20:50','Login','Aminul  NOC'),(482,'2019-06-20 14:18:31','Login','Aminul  NOC'),(483,'2019-06-20 14:19:51','Add User','Aminul  NOC'),(484,'2019-06-20 14:19:54','Logout','Aminul  NOC'),(485,'2019-06-20 14:20:08','Login','rubel Syed Rubel'),(486,'2019-06-20 14:22:41','Add Client','rubel Syed Rubel'),(487,'2019-06-20 14:23:00','Edit Client Details','rubel Syed Rubel'),(488,'2019-06-20 14:28:29','Login','rubel Syed Rubel'),(489,'2019-06-20 14:37:26','Add Item','rubel Syed Rubel'),(490,'2019-06-20 14:41:31','Login','rubel Syed Rubel'),(491,'2019-06-20 15:00:39','Add Item','rubel Syed Rubel'),(492,'2019-06-20 15:03:46','Add Item','rubel Syed Rubel'),(493,'2019-06-20 15:08:50','Add Item','rubel Syed Rubel'),(494,'2019-06-20 15:27:55','Add Item','rubel Syed Rubel'),(495,'2019-06-20 15:36:55','Add Item','rubel Syed Rubel'),(496,'2019-06-20 15:38:33','Edit Item Details','rubel Syed Rubel'),(497,'2019-06-20 15:43:29','Add Item','rubel Syed Rubel'),(498,'2019-06-20 15:59:12','Edit Item Details','rubel Syed Rubel'),(499,'2019-06-20 16:07:19','Add Item','rubel Syed Rubel'),(500,'2019-06-20 16:20:56','Add Item','rubel Syed Rubel'),(501,'2019-06-20 16:31:00','Add Item','rubel Syed Rubel'),(502,'2019-06-20 16:40:08','Login','rubel Syed Rubel'),(503,'2019-06-20 16:41:46','Logout','rubel Syed Rubel'),(504,'2019-06-23 10:04:14','Login','Aminul  NOC'),(505,'2019-06-23 10:22:55','Add Item','Aminul  NOC'),(506,'2019-06-23 10:25:23','Edit Item Details','Aminul  NOC'),(507,'2019-06-23 10:27:48','Edit Item Details','Aminul  NOC'),(508,'2019-07-07 16:19:00','Login','GZ Kabir'),(509,'2019-09-17 14:56:44','Login','GZ Kabir'),(510,'2019-09-24 10:20:29','Login','Aminul  NOC'),(511,'2019-09-24 10:23:09','Edit Item Details','Aminul  NOC'),(512,'2019-09-24 10:24:21','Edit Item Details','Aminul  NOC'),(513,'2019-09-24 10:24:56','Login','Aminul  NOC'),(514,'2019-09-24 14:32:47','Login','GZ Kabir'),(515,'2019-09-24 14:38:56','Add User','GZ Kabir'),(516,'2019-09-24 14:39:03','Logout','GZ Kabir'),(517,'2019-09-24 14:39:15','Login','Mohsena Khanom'),(518,'2019-09-25 13:20:07','Logout',' '),(519,'2019-09-29 15:17:10','Login','Aminul  NOC'),(520,'2019-09-29 15:41:16','Login','Aminul  NOC'),(521,'2019-09-29 15:49:54','Edit Item Details','Aminul  NOC'),(522,'2019-09-29 15:53:29','Edit Item Details','Aminul  NOC'),(523,'2019-09-29 15:58:33','Login','Aminul  NOC'),(524,'2019-09-29 16:05:49','Edit Item Details','Aminul  NOC'),(525,'2019-09-29 16:09:16','Edit Item Details','Aminul  NOC'),(526,'2019-09-29 16:09:40','Edit Item Details','Aminul  NOC'),(527,'2019-10-24 12:18:27','Login','Aminul  NOC'),(528,'2020-03-03 12:55:59','Login','GZ Kabir'),(529,'2020-03-03 13:44:51','Login','Aminul  NOC'),(530,'2020-03-03 13:46:22','Edit Item Details','Aminul  NOC'),(531,'2020-03-03 13:46:54','Edit Item Details','Aminul  NOC'),(532,'2020-03-03 13:59:21','Login','GZ Kabir'),(533,'2020-03-04 11:42:25','Login','Aminul  NOC'),(534,'2020-03-04 11:43:58','Edit Item Details','Aminul  NOC'),(535,'2020-03-04 11:44:32','Edit Item Details','Aminul  NOC'),(536,'2020-03-04 11:53:05','Edit Item Details','Aminul  NOC'),(537,'2020-03-04 12:03:12','Login','Aminul  NOC'),(538,'2020-03-04 12:03:43','Edit Item Details','Aminul  NOC'),(539,'2020-03-04 12:04:07','Edit Item Details','Aminul  NOC'),(540,'2020-03-04 12:04:51','Edit Item Details','Aminul  NOC'),(541,'2020-03-12 09:38:53','Login','Aminul  NOC'),(542,'2020-03-19 11:06:38','Login','Aminul  NOC'),(543,'2020-03-19 12:34:41','Login','Aminul  NOC'),(544,'2020-03-19 12:48:08','Add Item','Aminul  NOC'),(545,'2020-03-19 12:48:18','Login','Aminul  NOC'),(546,'2020-03-19 12:51:28','Add Item','Aminul  NOC'),(547,'2020-03-19 12:56:34','Add Item','Aminul  NOC'),(548,'2020-03-19 12:58:43','Add Item','Aminul  NOC'),(549,'2020-03-19 12:58:50','Add Item','Aminul  NOC'),(550,'2020-03-19 13:03:05','Add Item','Aminul  NOC'),(551,'2020-03-19 13:08:33','Add Item','Aminul  NOC'),(552,'2020-03-19 13:11:48','Add Item','Aminul  NOC'),(553,'2020-03-19 13:36:30','Add Item','Aminul  NOC'),(554,'2020-03-19 13:56:24','Login','Aminul  NOC'),(555,'2020-03-19 14:00:57','Add Item','Aminul  NOC'),(556,'2020-03-19 14:03:03','Add Item','Aminul  NOC'),(557,'2020-03-24 18:08:15','Login','Aminul  NOC'),(558,'2020-04-22 11:48:05','Login','GZ Kabir'),(559,'2020-04-23 12:58:40','Login','Aminul  NOC'),(560,'2020-04-27 12:09:50','Login','Aminul  NOC'),(561,'2020-04-29 17:27:18','Login','Aminul  NOC'),(562,'2020-04-29 23:42:52','Login','Aminul  NOC'),(563,'2020-05-12 11:53:54','Login','Aminul  NOC'),(564,'2020-05-12 12:06:25','Login','Aminul  NOC'),(565,'2020-05-12 12:07:59','Edit Item Details','Aminul  NOC'),(566,'2020-06-23 16:24:23','Login','Aminul  NOC'),(567,'2020-06-25 09:51:21','Login','Aminul  NOC'),(568,'2020-06-27 10:11:20','Login','Aminul  NOC'),(569,'2020-06-27 10:11:52','Edit Item Details','Aminul  NOC'),(570,'2020-06-27 10:14:37','Edit Item Details','Aminul  NOC'),(571,'2020-06-27 10:15:12','Edit Item Details','Aminul  NOC'),(572,'2020-06-27 11:12:44','Login','Aminul  NOC'),(573,'2020-06-29 20:58:07','Login','Aminul  NOC'),(574,'2020-06-29 21:06:09','Login','Aminul  NOC'),(575,'2020-06-30 11:59:50','Login','Aminul  NOC'),(576,'2020-07-13 10:19:09','Login','Aminul  NOC'),(577,'2020-07-19 10:31:19','Login','Aminul  NOC'),(578,'2020-07-21 11:04:06','Login','Aminul  NOC'),(579,'2020-07-26 21:43:09','Login','Aminul  NOC'),(580,'2020-07-26 23:46:51','Login','Aminul  NOC'),(581,'2020-07-27 14:41:21','Login','Aminul  NOC'),(582,'2020-07-28 01:38:25','Login','Aminul  NOC'),(583,'2020-08-09 12:36:15','Login','Aminul  NOC'),(584,'2020-08-09 19:18:59','Login','Aminul  NOC'),(585,'2020-08-19 16:51:25','Login','Aminul  NOC'),(586,'2020-08-23 11:45:25','Login','Aminul  NOC'),(587,'2020-08-23 13:27:46','Login','Aminul  NOC'),(588,'2020-08-23 13:28:02','Login','Aminul  NOC'),(589,'2020-08-23 13:32:48','Edit Item Details','Aminul  NOC'),(590,'2020-08-23 16:50:30','Login','Aminul  NOC'),(591,'2020-08-23 16:52:44','Edit Item Details','Aminul  NOC'),(592,'2020-08-23 16:53:18','Edit Item Details','Aminul  NOC'),(593,'2020-08-23 16:53:54','Edit Item Details','Aminul  NOC'),(594,'2020-08-23 16:54:22','Edit Item Details','Aminul  NOC'),(595,'2020-08-23 16:55:02','Edit Item Details','Aminul  NOC'),(596,'2020-08-23 16:55:44','Edit Item Details','Aminul  NOC'),(597,'2020-08-23 16:56:22','Edit Item Details','Aminul  NOC'),(598,'2020-08-23 16:56:54','Edit Item Details','Aminul  NOC'),(599,'2020-08-25 13:52:50','Login','Aminul  NOC'),(600,'2020-09-02 10:54:31','Login','Aminul  NOC'),(601,'2020-09-06 23:57:49','Login','Aminul  NOC'),(602,'2020-09-08 17:22:26','Login','Aminul  NOC'),(603,'2020-09-08 17:24:31','Edit Item Details','Aminul  NOC'),(604,'2020-09-17 10:28:22','Login','Aminul  NOC'),(605,'2020-09-24 11:44:56','Login','Aminul  NOC'),(606,'2020-10-21 10:20:06','Login','Aminul  NOC'),(607,'2020-12-01 11:42:27','Login','Aminul  NOC'),(608,'2020-12-06 16:26:08','Login','Aminul  NOC'),(609,'2020-12-07 09:58:01','Login','Aminul  NOC'),(610,'2020-12-30 09:33:12','Login','Aminul  NOC'),(611,'2020-12-31 14:54:09','Login','Aminul  NOC'),(612,'2020-12-31 16:01:10','Login','Aminul  NOC'),(613,'2021-07-19 11:13:40','Login','Aminul  NOC');
/*!40000 ALTER TABLE `history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item`
--

DROP TABLE IF EXISTS `item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `item` (
  `item_id` int(110) NOT NULL AUTO_INCREMENT,
  `item_id_id` int(111) NOT NULL,
  `item_name` varchar(100) NOT NULL,
  `item_ip` varchar(110) NOT NULL,
  `item_name1` varchar(100) NOT NULL,
  `item_name11` date NOT NULL,
  `item_name12` varchar(150) NOT NULL,
  `item_name2` varchar(100) NOT NULL,
  `item_name3` varchar(100) NOT NULL,
  `item_brand` varchar(100) NOT NULL,
  `item_description` varchar(100) NOT NULL,
  `item_description01` varchar(110) NOT NULL,
  `item_description1` varchar(150) NOT NULL,
  `item_description2` varchar(100) NOT NULL,
  `item_qty` int(11) NOT NULL,
  `item_price` int(11) NOT NULL,
  `item_type` varchar(100) NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=85 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `item`
--

LOCK TABLES `item` WRITE;
/*!40000 ALTER TABLE `item` DISABLE KEYS */;
INSERT INTO `item` VALUES (26,0,'www.ntvbd.com','103.16.74.115','BDCOM SMILE BILLING','2016-05-08','18','HPE DL380 GEN9','SGH603XECC','2 x intel Xeon E5-2640','HDD=4 x600GB 15k SAS','32','Debian 8','php5 mysql5.6 apache2',2,0,'Co-Location','2017-11-07 15:16:30'),(27,0,'www.ntvbd.com','103.16.74.114','quagga routing SMILE','2016-05-08','18','Dell R730','89N5T92','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 9','quagga routing',2,0,'Co-Location','2017-11-07 15:16:30'),(28,0,'www.ntvbd.com','103.16.74.116','APP','2016-05-08','7','Dell EMS R730','65HXZL2','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','64','','',6,0,'Rental','2017-11-07 15:16:30'),(29,0,'vps1.bdcom.com','10.255.8.131','vps1','2016-05-08','17','Dell R710','7SGYC2S','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 8','ganeti',9,0,'BDCOM-VMS','2017-11-07 15:16:30'),(30,0,'prothom-alo.com','103.16.72.5','Profile-www / spc3','2016-05-08','6','Dell R720','CSGYC2S','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 8','php5 mysql5.6 apache2',6,0,'Rental','2017-11-07 15:16:30'),(31,0,'btapps3','103.16.74.157','btapps3 /palo','2016-05-08','10','HP 380 Gen9','SGH621WJK7','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','64','Debian 8','php5 mysql5.6 apache2',2,0,'Rental','2017-11-07 15:16:30'),(32,0,'spc3.bdcom.com.bd','10.4.64.133','SPC3','2016-05-08','16','Dell R720','25S4H82','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 7','-',2,0,'BDCOM-VMS','2017-11-07 15:16:30'),(33,0,'prothom-alo.com','72.10 - NON WORKABLE','PAwww-Back /  raid card damaged ','2016-05-08','6','Dell R710','GB52C2S','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 8','',0,0,'Rental','2017-11-07 15:16:30'),(34,0,'thedailystar.net','103.16.74.130','Other SERVER DAMAGED Changed to VM 103.16.74.241 103.16.74.237','2016-05-08','8','Dell R710','1VVJ62S','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 8','php5 mysql5.6 apache2',5,0,'Co-Location','2017-11-07 15:16:30'),(35,0,'thedailystar.net','103.16.74.141','www1','2016-05-08','8','HP Gen8','SGH420H6FW','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 8','php5 mysql5.6 apache2',5,0,'Co-Location','2017-11-07 15:16:30'),(36,0,'thedailystar.net','103.16.74.133','epaper','2016-05-08','8','Dell R710','4VVJ62S','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 8','php5 mysql5.6 apache2',5,0,'Co-Location','2017-11-07 15:16:30'),(37,0,'thedailystar.net','103.16.74.138','www-upload','2016-05-08','8','HP Gen8','SGH431M6F6','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 8','php5 mysql5.6 apache2',5,0,'Co-Location','2017-11-07 15:16:30'),(38,0,'thedailystar.net','103.16.74.140','www2','2016-05-08','8','HP Gen8','USE415WSP2','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 8','php5 mysql5.6 apache2',5,0,'Co-Location','2017-11-07 15:16:30'),(39,0,'spc2.bdcom.com.bd','10.4.64.131','SPC2 202bn24','2016-05-08','16','Dell R730','F7XFH62','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','64','Debian 7','',1,0,'BDCOM','2017-11-07 15:16:30'),(40,0,'  banglatribune.com','103.16.74.156','Mob','2016-05-08','10','Dell R730','F7XGH62','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','64','Debian 8','php5 mysql5.6 apache2',2,0,'Rental','2017-11-07 15:16:30'),(41,0,'banglatribune.com','103.16.74.154','www','2016-05-08','10','Dell R730','C1WK862','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 8','php5 mysql5.6 apache2',3,0,'Rental','2017-11-07 15:16:30'),(42,0,'banglatribune.com','103.16.74.155','DB','2016-05-08','10','Dell R730','C1WL862','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 8','php5 mysql5.6 apache2',2,0,'Rental','2017-11-07 15:16:30'),(43,0,'iptcloud1.bdcom.com','10.4.64.146','iptcloud1','2016-05-08','16','Dell R720','HRGYC2S','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','64','Debian 10','ganeti',9,0,'BDCOM-VMS','2017-11-07 15:16:30'),(46,0,'iptcloud2 /pbtn','10.4.64.148','www+DB','2016-05-08','12','HPE DL380 GEN9','SGH621WJKD','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 8','php5 mysql5.6 apache2',2,0,'BDCOM','2017-11-07 15:16:30'),(47,0,'BDCOM MEDIA ','103.16.74.98','FLUCK','2017-12-13','18','Dell R710','G02XYY1','2 x intel Xeon E5-2640','HDD=4 x600GB 15k','32 GB','Debian 8','php5 mysql5.6 apache2',6,0,'Rental','2017-12-13 15:16:30'),(48,0,'BDCOM DR','10.255.8.194','XEN1','2018-10-03','17','HPE DL 380 Gen9 8SFF ','SGH809WBRF','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','64','XEN 7.0','php5 mysql5.6 apache2',5,0,'BDCOM','2017-11-07 15:16:30'),(49,0,'BDCOM DR','10.255.8.195','XEN2','2018-10-03','17','HPE DL 380 Gen9 8SFF ','SGH809WBS1','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','64','XEN 7.0','php5 mysql5.6 apache2',5,0,'BDCOM','2017-11-07 15:16:30'),(50,0,'BDCOM DR','10.255.8.196','Master DNS','2018-10-03','17','HPE DL 20 Gen9 4SFF ','SGH810XP6E','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','XEN 7.0','php5 mysql5.6 apache2',1,0,'BDCOM','2017-11-07 15:16:30'),(51,0,'Smile Domain','MikroTik','Router','2016-05-08','18','Dell R710','HB52C2S','2 x intel Xeon E5-2640','','32','','Non-Consumable',8,0,'BDCOM','2018-11-14 12:17:27'),(52,0,'BDCOM','210.4.77.130','mail.bdcom.com','2016-05-08','19','proliant dl20 gen9','SGH810XP6C','','','16','','',6,0,'BDCOM','2017-11-07 15:16:30'),(53,0,'BDCOM','210.4.77.180','DNS1.bdcom.com','2016-05-08','19','proliant dl20 gen9','SGH810XP6D','','','16','','',6,0,'BDCOM','2017-11-07 15:16:30'),(54,0,'BDCOM','114.31.25.2','broadbandtv.com.bd','2016-05-08','19','proliant dl380 gen8','SGH809WBRJ','','','16','','',6,0,'BDCOM','2017-11-07 15:16:30'),(55,0,'BDCOM','114.31.25.6','cms.broadbandtv.com.bd','2016-05-08','19','proliant dl380 gen8','SGH809WBRN','','','16','','',6,0,'BDCOM','2017-11-07 15:16:30'),(56,0,'BDCOM','10.4.64.3','http://10.4.64.3 xen for TX NMS','2016-05-08','19','DELL 810','CRVR5P1','','','16','','',6,0,'BDCOM','2017-11-07 15:16:30'),(57,0,'BDCOM DR','10.255.8.25','IPTSP_XEN_03','0000-00-00','21','HPE DL 380 Gen9 2U','SGH809WBRD','2 x intel Xeon E5-2640','4TB','64GB','XEN 7.5.0','Non-Consumable',1,0,'Non-Consumable','2019-06-20 14:37:26'),(58,0,'BDCOM DR','10.255.8.24','IPTSP_XEN_02','0000-00-00','21','HPE DL 380 Gen9 2U','SGH809WBR9','2 x intel Xeon E5-2640','4TB','64GB','XEN 7.5.0','Non-Consumable',1,0,'Non-Consumable','2019-06-20 15:00:39'),(59,0,'BDCOM DR','10.255.8.23','IPTSP_XEN_01','0000-00-00','21','HPE DL 380 Gen9 2U','SGH809WBRR','2 x intel Xeon E5-2640','4TB','64GB','XEN 7.5.0','Non-Consumable',1,0,'Non-Consumable','2019-06-20 15:03:46'),(60,0,'BDCOM DR','10.255.8.26','IPTSP_XEN_04','0000-00-00','21','HPE DL 380 Gen9 2U','SGH809WBRL','2 x intel Xeon E5-2640','4TB','64GB','XEN 7.5.0','Non-Consumable',1,0,'Non-Consumable','2019-06-20 15:08:50'),(61,0,'BDCOM DR','119.40.81.17','Radius Server 02','0000-00-00','21','Dell PowerEdge R330','','Intel Xeon Processor','2TB','16GB','Ubuntu 12.4.2','Non-Consumable',1,0,'Non-Consumable','2019-06-20 15:27:55'),(62,0,'BDCOM DR','10.255.8.22','Corporate Gateway 02','0000-00-00','21','HPE DL 380 Gen9 2U','SGH809WBR7','2 x intel Xeon E5-2640','4TB','64GB','Ubuntu','Non-Consumable',1,0,'Non-Consumable','2019-06-20 15:36:55'),(63,0,'BDCOM DR','119.40.81.7','TB SBC','0000-00-00','21','HPE DL 380 Gen9 2U','SGH809WBRT','2 x intel Xeon E5-2640','4TB','64GB','Centos','Non-Consumable',1,0,'Non-Consumable','2019-06-20 15:43:29'),(64,0,'BDCOM DR','10.255.8.29','SMS Gateway','0000-00-00','21','Dell PowerEdge R330','00000','Intel Xeon Processor','2TB','16GB','Ubuntu 12.4.2','Non-Consumable',1,0,'Non-Consumable','2019-06-20 16:07:19'),(65,0,'BDCOM DR','119.40.81.2','IPtalkg2 Secondary','0000-00-00','21','Dell Power Edge R720','00000','Intel Xeon Processor','2TB','32GB','Ubuntu','Non-Consumable',1,0,'Non-Consumable','2019-06-20 16:20:56'),(66,0,'BDCOM DR',' 10.255.8.20','Dinstar E1 Gateway','0000-00-00','21','Dinstar MTG2000','DC29-0125-C073-0004','00000','00000','00000','00000','Non-Consumable',1,0,'Non-Consumable','2019-06-20 16:31:00'),(67,0,'BDCOM MOVIE SERVER','113.11.25.26','Mblaster','0000-00-00','19','Dell EMC R740','DMBGBW2','48','12*12TB','64','Ubuntu 16','Non-Consumable',2,0,'Non-Consumable','2019-06-23 10:22:55'),(68,0,'spc1.bdcom.com.bd','10.4.64.130','SPC1','2016-05-08','16','Dell R730','25V0H82','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','64','Debian 7','',1,0,'BDCOM','2017-11-07 15:16:30'),(69,0,'iptcloud3.bdcom.com','10.4.64.149','iptcloud3','2016-05-08','16','Dell R710','HLTX72S','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','64','Debian 10','ganeti',9,0,'BDCOM-VMS','2017-11-07 15:16:30'),(70,0,'OSS','10.255.129.170','XEN7','2016-05-08','16','DELL R730','25T1H82','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','64','Debian 8','php5 mysql5.6 apache2',1,0,'BDCOM','2017-11-07 15:16:30'),(71,0,'www.ntvbd.com ','103.16.74.117','DB','2016-05-08','7','HP Proliant DL380 gen9','SGH809WBRY BDCOM DR SERVER','2 x intel Xeon E5-2640','HDD=4 x600GB 15k SAS','64','','',6,0,'Rental','2017-11-07 15:16:30'),(72,0,'edotco','210.4.77.154','XSeries 336 ','0000-00-00','18','IBM/1u','ucucucu','Xeon','4','4 g','linux','Non-Consumable',2,0,'Non-Consumable','2020-03-19 12:48:08'),(73,0,'VTS','210.4.77.3','VTS','0000-00-00','18','DELL R320','GSJNQ02','24','','','','Non-Consumable',3,0,'Non-Consumable','2020-03-19 12:51:28'),(74,0,'VTS1','210.4.77.5','VTS1','0000-00-00','18','HPE DL380 GEN9','SGH632XHC5','32','','','','Non-Consumable',3,0,'Non-Consumable','2020-03-19 12:56:34'),(75,0,'mailx.bdcom.com','210.4.77.141','SMS GW','0000-00-00','18','IBM 346','KQKBG28','4','','','','Non-Consumable',4,0,'Non-Consumable','2020-03-19 12:58:43'),(76,0,'corenms.smile.com.bd','114.31.0.79','Libra NMS for Smile','0000-00-00','18','Libra NMS for Smile','G8m03p1','32 core','4','4 g','linux','Non-Consumable',6,0,'Non-Consumable','2020-03-19 12:58:50'),(77,0,'mailx.bdcom.net','210.4.77.138','DOT NET NAGIOS','0000-00-00','18','DELL R310','G16ND2S','16','','','','Non-Consumable',5,0,'Non-Consumable','2020-03-19 13:03:05'),(78,0,'quickbook.bdcom.com','10.10.10.2','quickbook Billing ','0000-00-00','21','HP DL 20 g9','sgh701T6F0','32 core','4','16 g','windows','Non-Consumable',9,0,'Non-Consumable','2020-03-19 13:08:33'),(79,0,'vcloud.bdcom.com','103.16.75.30','WHM','0000-00-00','18','DELL R710','JLTX72S','64','','','','Non-Consumable',5,0,'Non-Consumable','2020-03-19 13:11:48'),(80,0,'vcloud.bdcom.com','103.16.75.30','vcloud','0000-00-00','18','Dell Power edge R710','JLTX725','32 core','4','16 g','linux','Non-Consumable',8,0,'Non-Consumable','2020-03-19 13:36:30'),(81,0,'mrtg.bdcom.com.bd','119.40.90.130','Cact SERVER FTTX and CP','0000-00-00','18','DELL R710','HLTX72S','32','','64','','Non-Consumable',3,0,'Non-Consumable','2020-03-19 14:00:57'),(82,0,'dslgw.bdcom.com','10.10.1.58','DSLGW ROUTER','0000-00-00','18','DELL R710','7RRBB2S','32','','','','Non-Consumable',3,0,'Non-Consumable','2020-03-19 14:03:03'),(83,0,'vps1.bdcom.com','10.255.8.131','vps1','2016-05-08','17','Dell R710','7SGYC2S','2 x intel Xeon E5-2640','HDD=5 x600GB 15k SAS','32','Debian 8','ganeti',9,0,'BDCOM-VMS','2017-11-07 15:16:30'),(84,0,'VTS3','210.4.77.4','VTS3','0000-00-00','18','Dell EMC R740','H5RKYW2','32','','','','Non-Consumable',3,0,'Non-Consumable','2020-03-19 12:56:34');
/*!40000 ALTER TABLE `item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `original_qty`
--

DROP TABLE IF EXISTS `original_qty`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `original_qty` (
  `original_qty_id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `item_qty` int(11) NOT NULL,
  PRIMARY KEY (`original_qty_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `original_qty`
--

LOCK TABLES `original_qty` WRITE;
/*!40000 ALTER TABLE `original_qty` DISABLE KEYS */;
INSERT INTO `original_qty` VALUES (1,1,91),(2,2,111),(3,3,25),(4,4,1);
/*!40000 ALTER TABLE `original_qty` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `release_details`
--

DROP TABLE IF EXISTS `release_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `release_details` (
  `release_details_id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `release_id` int(11) NOT NULL,
  `release_status` varchar(100) NOT NULL,
  `date_return` datetime NOT NULL,
  PRIMARY KEY (`release_details_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `release_details`
--

LOCK TABLES `release_details` WRITE;
/*!40000 ALTER TABLE `release_details` DISABLE KEYS */;
INSERT INTO `release_details` VALUES (1,4,1,'returned','2016-02-03 22:33:22');
/*!40000 ALTER TABLE `release_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `release_qty`
--

DROP TABLE IF EXISTS `release_qty`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `release_qty` (
  `release_qty_id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `release_id` int(11) NOT NULL,
  `client_id` int(11) NOT NULL,
  PRIMARY KEY (`release_qty_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `release_qty`
--

LOCK TABLES `release_qty` WRITE;
/*!40000 ALTER TABLE `release_qty` DISABLE KEYS */;
INSERT INTO `release_qty` VALUES (1,4,1,1);
/*!40000 ALTER TABLE `release_qty` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_release`
--

DROP TABLE IF EXISTS `tbl_release`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_release` (
  `release_id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` int(11) NOT NULL,
  `date_borrow` datetime NOT NULL,
  PRIMARY KEY (`release_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_release`
--

LOCK TABLES `tbl_release` WRITE;
/*!40000 ALTER TABLE `tbl_release` DISABLE KEYS */;
INSERT INTO `tbl_release` VALUES (1,1,'2016-02-03 22:14:46');
/*!40000 ALTER TABLE `tbl_release` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `transaction_history`
--

DROP TABLE IF EXISTS `transaction_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `transaction_history` (
  `transaction_history_id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `action` varchar(100) NOT NULL,
  `client_id` int(11) NOT NULL,
  `release_id` int(11) NOT NULL,
  `admin_name` varchar(100) NOT NULL,
  `date_added` datetime NOT NULL,
  PRIMARY KEY (`transaction_history_id`)
) ENGINE=InnoDB AUTO_INCREMENT=137 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `transaction_history`
--

LOCK TABLES `transaction_history` WRITE;
/*!40000 ALTER TABLE `transaction_history` DISABLE KEYS */;
INSERT INTO `transaction_history` VALUES (1,3,'Returned',2,1,'John Doe','2016-01-30 12:39:19'),(2,1,'Returned',2,1,'John Doe','2016-01-30 12:39:19'),(3,1,'Returned',1,2,'John Doe','2016-01-30 12:58:24'),(4,1,'Returned',1,2,'John Doe','2016-01-30 12:58:24'),(5,1,'Returned',1,2,'John Doe','2016-01-30 12:58:24'),(6,1,'Returned',1,3,'John Doe','2016-01-30 12:58:53'),(7,3,'Returned',1,1,'John Doe','2016-01-30 13:01:28'),(8,1,'Returned',1,1,'John Doe','2016-01-30 13:21:15'),(9,1,'Returned',2,2,'John Doe','2016-01-30 13:25:15'),(10,2,'Returned',1,3,'John Doe','2016-01-30 13:36:27'),(11,1,'Returned',1,4,'John Doe','2016-01-30 14:01:12'),(12,2,'Returned',1,5,'John Doe','2016-01-30 14:13:11'),(13,1,'Borrowed',1,6,'John Doe','2016-01-30 14:27:45'),(14,1,'Borrowed',1,7,'John Doe','2016-01-30 15:33:47'),(15,2,'Borrowed',1,7,'John Doe','2016-01-30 15:33:47'),(16,1,'Borrowed',1,8,'John Doe','2016-02-01 09:24:44'),(17,1,'Borrowed',1,9,'John Doe','2016-02-01 09:41:45'),(18,2,'Borrowed',1,9,'John Doe','2016-02-01 09:41:45'),(19,3,'Borrowed',1,10,'John Doe','2016-02-01 09:52:22'),(20,3,'Borrowed',1,1,'John Doe','2016-02-02 14:02:12'),(21,3,'Borrowed',1,1,'John Doe','2016-02-02 14:04:19'),(22,3,'Borrowed',1,2,'John Doe','2016-02-02 14:04:42'),(23,3,'Borrowed',1,1,'John Doe','2016-02-02 16:28:16'),(24,3,'Borrowed',1,1,'John Doe','2016-02-02 17:03:43'),(25,3,'Borrowed',1,1,'John Doe','2016-02-02 17:04:46'),(26,3,'Borrowed',1,2,'John Doe','2016-02-02 17:05:36'),(27,3,'Borrowed',1,1,'John Doe','2016-02-02 17:06:41'),(28,3,'Borrowed',1,1,'John Doe','2016-02-02 17:08:25'),(29,3,'Borrowed',1,2,'John Doe','2016-02-02 17:10:04'),(30,3,'Borrowed',1,3,'John Doe','2016-02-02 17:10:20'),(31,4,'Borrowed',1,3,'John Doe','2016-02-02 17:10:20'),(32,3,'Borrowed',1,1,'John Doe','2016-02-02 20:56:57'),(33,4,'Borrowed',2,0,'John Doe','2016-02-02 21:00:47'),(34,3,'Borrowed',1,1,'John Doe','2016-02-02 21:06:55'),(35,1,'Borrowed',1,2,'John Doe','2016-02-02 21:07:21'),(36,3,'Borrowed',2,3,'John Doe','2016-02-02 21:07:50'),(37,4,'Borrowed',2,3,'John Doe','2016-02-02 21:07:50'),(38,3,'Borrowed',1,4,'John Doe','2016-02-02 21:08:55'),(39,3,'Borrowed',1,5,'John Doe','2016-02-02 21:11:34'),(40,2,'Borrowed',1,6,'John Doe','2016-02-02 21:25:53'),(41,1,'Borrowed',1,7,'John Doe','2016-02-02 21:26:47'),(42,3,'Borrowed',1,8,'John Doe','2016-02-02 21:27:07'),(43,3,'Borrowed',1,9,'John Doe','2016-02-02 21:28:53'),(44,1,'Borrowed',1,10,'John Doe','2016-02-02 21:29:16'),(45,2,'Borrowed',1,11,'John Doe','2016-02-02 21:29:38'),(46,1,'Borrowed',1,12,'John Doe','2016-02-02 21:29:49'),(47,3,'Borrowed',1,13,'John Doe','2016-02-02 21:30:08'),(48,2,'Borrowed',1,14,'John Doe','2016-02-02 21:30:27'),(49,3,'Borrowed',1,1,'John Doe','2016-02-02 21:31:41'),(50,2,'Borrowed',1,2,'John Doe','2016-02-02 21:32:12'),(51,2,'Borrowed',1,3,'John Doe','2016-02-02 21:33:02'),(52,2,'Borrowed',1,4,'John Doe','2016-02-02 21:33:56'),(53,3,'Borrowed',1,5,'John Doe','2016-02-02 21:34:37'),(54,3,'Borrowed',1,6,'John Doe','2016-02-02 21:34:53'),(55,2,'Borrowed',1,7,'John Doe','2016-02-02 21:35:04'),(56,3,'Borrowed',1,8,'John Doe','2016-02-02 21:37:32'),(57,2,'Borrowed',2,9,'John Doe','2016-02-02 21:37:53'),(58,1,'Borrowed',1,10,'John Doe','2016-02-02 21:38:07'),(59,1,'Borrowed',2,11,'John Doe','2016-02-02 21:41:18'),(60,2,'Borrowed',1,12,'John Doe','2016-02-02 21:42:10'),(61,3,'Borrowed',1,13,'John Doe','2016-02-02 21:45:12'),(62,1,'Borrowed',1,14,'John Doe','2016-02-02 21:46:35'),(63,2,'Borrowed',2,15,'John Doe','2016-02-02 21:46:50'),(64,1,'Borrowed',2,16,'John Doe','2016-02-02 21:47:16'),(65,3,'Borrowed',1,1,'John Doe','2016-02-02 21:48:10'),(66,4,'Borrowed',1,1,'John Doe','2016-02-02 21:48:10'),(67,1,'Borrowed',1,1,'John Doe','2016-02-02 21:48:11'),(68,3,'Borrowed',1,1,'John Doe','2016-02-02 22:11:09'),(69,4,'Borrowed',1,2,'John Doe','2016-02-02 22:11:23'),(70,1,'Borrowed',1,3,'John Doe','2016-02-02 22:11:29'),(71,1,'Borrowed',1,4,'John Doe','2016-02-02 22:11:37'),(72,3,'Borrowed',1,5,'John Doe','2016-02-02 22:11:49'),(73,1,'Borrowed',1,5,'John Doe','2016-02-02 22:11:50'),(74,2,'Borrowed',1,5,'John Doe','2016-02-02 22:11:50'),(75,3,'Borrowed',1,1,'John Doe','2016-02-02 22:14:06'),(76,2,'Borrowed',1,2,'John Doe','2016-02-02 22:14:22'),(77,3,'Borrowed',1,3,'John Doe','2016-02-02 22:14:49'),(78,2,'Borrowed',1,4,'John Doe','2016-02-02 22:15:04'),(79,3,'Borrowed',1,5,'John Doe','2016-02-02 22:15:17'),(80,3,'Borrowed',1,6,'John Doe','2016-02-02 22:15:57'),(81,2,'Borrowed',1,7,'John Doe','2016-02-02 22:16:25'),(82,3,'Borrowed',1,8,'John Doe','2016-02-02 22:16:41'),(83,3,'Borrowed',1,9,'John Doe','2016-02-02 22:18:01'),(84,3,'Borrowed',1,10,'John Doe','2016-02-02 22:18:57'),(85,3,'Borrowed',1,11,'John Doe','2016-02-02 22:19:45'),(86,1,'Borrowed',1,12,'John Doe','2016-02-02 22:20:01'),(87,2,'Borrowed',1,13,'John Doe','2016-02-02 22:20:11'),(88,3,'Borrowed',1,1,'John Doe','2016-02-02 22:47:12'),(89,3,'Borrowed',1,2,'John Doe','2016-02-02 22:49:10'),(90,1,'Borrowed',1,1,'John Doe','2016-02-02 23:07:39'),(91,3,'Borrowed',1,1,'John Doe','2016-02-02 23:09:20'),(92,2,'Borrowed',1,2,'John Doe','2016-02-02 23:09:41'),(93,3,'Borrowed',2,3,'John Doe','2016-02-02 23:10:15'),(94,1,'Borrowed',2,3,'John Doe','2016-02-02 23:10:15'),(95,2,'Borrowed',2,3,'John Doe','2016-02-02 23:10:16'),(96,3,'Borrowed',1,4,'John Doe','2016-02-02 23:11:38'),(97,0,'Borrowed',1,5,'John Doe','2016-02-02 23:12:29'),(98,1,'Borrowed',2,6,'John Doe','2016-02-02 23:16:49'),(99,3,'Borrowed',1,7,'John Doe','2016-02-02 23:18:57'),(100,2,'Borrowed',2,8,'John Doe','2016-02-02 23:19:46'),(101,1,'Borrowed',1,9,'John Doe','2016-02-02 23:20:00'),(102,4,'Borrowed',1,1,'John Doe','2016-02-02 23:21:50'),(103,3,'Borrowed',2,1,'John Doe','2016-02-02 23:23:00'),(104,3,'Borrowed',2,2,'John Doe','2016-02-02 23:24:18'),(105,1,'Borrowed',1,3,'John Doe','2016-02-02 23:25:22'),(106,3,'Borrowed',1,4,'John Doe','2016-02-02 23:27:11'),(107,1,'Borrowed',1,4,'John Doe','2016-02-02 23:27:11'),(108,3,'Borrowed',1,5,'John Doe','2016-02-02 23:28:51'),(109,1,'Borrowed',1,5,'John Doe','2016-02-02 23:28:52'),(110,3,'Borrowed',1,6,'John Doe','2016-02-02 23:31:48'),(111,1,'Borrowed',1,6,'John Doe','2016-02-02 23:31:49'),(112,3,'Borrowed',1,7,'John Doe','2016-02-02 23:34:02'),(113,3,'Borrowed',1,8,'John Doe','2016-02-02 23:34:34'),(114,1,'Borrowed',1,9,'John Doe','2016-02-02 23:36:58'),(115,3,'Borrowed',1,10,'John Doe','2016-02-02 23:37:45'),(116,3,'Borrowed',1,11,'John Doe','2016-02-02 23:39:20'),(117,3,'Borrowed',1,12,'John Doe','2016-02-02 23:40:01'),(118,1,'Borrowed',1,12,'John Doe','2016-02-02 23:40:01'),(119,3,'Borrowed',2,13,'John Doe','2016-02-02 23:41:13'),(120,1,'Borrowed',2,13,'John Doe','2016-02-02 23:41:14'),(121,2,'Borrowed',2,13,'John Doe','2016-02-02 23:41:15'),(122,3,'Borrowed',1,14,'John Doe','2016-02-02 23:44:27'),(123,3,'Borrowed',1,15,'John Doe','2016-02-02 23:44:54'),(124,3,'Borrowed',1,16,'John Doe','2016-02-02 23:45:13'),(125,1,'Borrowed',1,16,'John Doe','2016-02-02 23:45:14'),(126,3,'Borrowed',1,17,'John Doe','2016-02-02 23:45:37'),(127,1,'Borrowed',1,17,'John Doe','2016-02-02 23:45:37'),(128,3,'Borrowed',1,1,'John Doe','2016-02-02 23:47:55'),(129,3,'Borrowed',1,2,'John Doe','2016-02-02 23:51:21'),(130,3,'Borrowed',1,3,'John Doe','2016-02-02 23:51:57'),(131,3,'Borrowed',1,1,'John Doe','2016-02-03 00:04:34'),(132,1,'Borrowed',1,1,'John Doe','2016-02-03 00:04:35'),(133,3,'Borrowed',1,1,'John Doe','2016-02-03 00:11:59'),(134,1,'Borrowed',1,1,'John Doe','2016-02-03 00:11:59'),(135,3,'Borrowed',1,2,'John Doe','2016-02-03 00:12:35'),(136,4,'Borrowed',1,1,'John Doe','2016-02-03 22:14:46');
/*!40000 ALTER TABLE `transaction_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `firstname` varchar(100) NOT NULL,
  `middlename` varchar(100) NOT NULL,
  `lastname` varchar(100) NOT NULL,
  `username` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `user_added` datetime NOT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` VALUES (1,'Aminul ','Islam','NOC','admin','hell0Dhaka','2015-11-10 14:01:56'),(3,'GZ','','Kabir','gzkabir','bdc0m987!@#','2017-11-07 16:07:03'),(4,'bdcom','','NOC','bdcom','bdc0m987#@!','2017-11-07 16:34:15'),(5,'Ekram ','Uddin','Ahamd','ekram','syntex2050','2017-11-08 14:06:59'),(6,'MD ASADUZZAMAN','','Ripon','asad','Alph@12369','2018-11-15 12:51:04'),(7,'GZ','','Kabir','gzkabir','bdc0m9876!@#','2019-01-14 12:30:27'),(8,'S M','','Kamruzzaman','zaman','bdcom12345','2019-05-29 13:51:37'),(9,'rubel','','Syed Rubel','rubel','bdc0m#@!','2019-06-20 14:19:51'),(10,'Mohsena','','Khanom','munna','dhak@2019','2019-09-24 14:38:56');
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vclient`
--

DROP TABLE IF EXISTS `vclient`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vclient` (
  `client_id` int(11) NOT NULL AUTO_INCREMENT,
  `school_id` int(11) NOT NULL,
  `firstname` varchar(100) NOT NULL,
  `middlename` varchar(100) NOT NULL,
  `lastname` varchar(100) NOT NULL,
  `type` varchar(100) NOT NULL,
  `datesupply` varchar(50) NOT NULL,
  `department` varchar(300) NOT NULL,
  `contact` varchar(100) NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`client_id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vclient`
--

LOCK TABLES `vclient` WRITE;
/*!40000 ALTER TABLE `vclient` DISABLE KEYS */;
INSERT INTO `vclient` VALUES (6,0,'Prothom','','-Alo','Rental','','titoaub@gmail.com asadzr@gmail.com monowar80@gmail.com','01717474715','2017-11-14 10:40:53'),(13,0,'Smart','','Technologies','Co-Location','','Dhaka','09666666666','2017-11-15 11:35:34'),(14,0,'Smart','','Technologies','Smart Technologies','11/15/17','Dhaka','01911181863','2017-11-15 15:08:33');
/*!40000 ALTER TABLE `vclient` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-09-20 18:39:37
