<?php
session_start();
if(isset($_SESSION['uzdata']['id']) && $_SESSION['uzdata']['id'] > 0 && !empty($_SESSION['uzdata']['email'])) {
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>BDCOM Online Limited</title>
    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/dataTables.bootstrap.min.css" ref="stylesheet">
	<!-- Custom styles for this template -->
    <link href="css/sticky-footer-navbar.css" rel="stylesheet">
  </head>
  <header>
	<div class="navbar navbar-default">
		<div class="container">
		<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bankmenu">
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
		</button>
			<div class="navbar-header">
				<a href="index.php" class="navbar-brand"> BDCOM Online Limited</a>
			</div>
			<div class="collpase navbar-collapse" id="bankmenu">
			<ul class="nav navbar-nav">
				<li><a href="index.php"><span class="glyphicon glyphicon-home"></span> Home</a></li>
				<li><a href="index.php"><span class="glyphicon glyphicon-th-list"></span> View</a></li>
			<?php if ( $_SESSION['uzdata']['permission'] == '1') { ?>
				<li><a href="bank_list.php?action=addnew"><span class="glyphicon glyphicon-plus"></span> Add New</a></li>
			<?php } ?>
			<li class="dropdown">
				<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><span class="glyphicon glyphicon-user"></span> Profiles <span class="caret"></span></a>
				<ul class="dropdown-menu">
				<li><a href="bank_list.php?action=edituseracc">Account Edit</a></li>
			<?php if ( $_SESSION['uzdata']['permission'] == '1') { ?>
				<li><a href="bank_list.php?action=addnewacc">Add Account</a></li>
				<li><a href="bank_list.php?action=viewuseracc">View Account</a></li>
			<?php } ?>
				</ul>
			</li>
				<li><a href="logout.php"> <span class="glyphicon glyphicon-log-in"></span> Logout [ <?php echo $_SESSION['uzdata']['Name']; ?> ] </a></li>
			</ul>
			<form action="" class="navbar-form navbar-right" role="search">
			<div class="form-group">
			<input type="text" id="filter" class="form-control" placeholder="Search here..">
			</div>
			</form>
			</div>
		</div>
	</div>
  </header>

<body>

<?php
require_once('config.php');
// Add new
if ($_GET['action'] == 'addnew') {
?>
<div class="container-fluid" style="background-color:#EFEFEF; max-width:700px; min-height:680px;">
  <h2>Add new form</h2>
  <form action="bank_list.php?action=addnewdata" method="post" name="add_formmain">
    <div class="form-group">
      <label for="bankname">Bank Name:</label>
      <input type="text" class="form-control" name="bankname" id="bankname" placeholder="">
    </div>
   	<div class="form-group">
   	<label for="dc_pri">DC Primary:</label>
   	<select class="form-control" name="dc_pri" id="dc_pri"><option>up</option><option>down</option><option>nolink</option></select>
   	</div>
	<div class="form-group">
        <label for="dc_sec">DC Secondary:</label>
        <select class="form-control" name="dc_sec" id="dc_sec"><option>up</option><option>down</option><option>nolink</option></select>
        </div>
	<div class="form-group">
        <label for="dr_pri">DR Primary:</label>
        <select class="form-control" name="dr_pri" id="dr_pri"><option>up</option><option>down</option><option>nolink</option></select>
        </div>
	<div class="form-group">
        <label for="dr_sec">DR Secondary:</label>
        <select class="form-control" name="dr_sec" id="dr_sec"><option>up</option><option>down</option><option>nolink</option></select>
        </div>
	<div class="form-group">
      <label for="remarks">Connected Info:</label>
	  <textarea name="coninfo" id="coninfo" class="form-control"></textarea>
    </div>
    <div class="form-group">
      <label for="remarks">Remarks:</label>
	  <textarea name="remarks" id="remarks" class="form-control"></textarea>
    </div>
    <button type="submit" class="btn btn-primary btn-lg btn-block">Submit</button>
  </form>
</div>

<?php
// Edit
} elseif ($_GET['action'] == 'edit') {
$sql = "SELECT * FROM tbbankinfo WHERE id = '".$_GET['id']."'";
$result = mysql_query ($sql, $link);
while ($row = mysql_fetch_assoc($result)) {
?>
<div class="container-fluid" style="background-color:#CDCDCD; max-width:700px; min-height:680px;">
  <h2>Edit form of <?php echo $row["bankname"]; ?></h2>
  <form action="bank_list.php?action=editdata&id=<?php echo $_GET['id'];?>" method="post" name="add_formmain">
    <div class="form-group">
      <label for="bankname">Bank Name:</label>
      <input type="text" class="form-control" name="bankname" id="bankname" value="<? echo $row["bankname"]; ?>">
    </div>
   	<div class="form-group">
   	<label for="dc_pri">DC Primary:</label>
   	<select class="form-control" name="dc_pri" id="dc_pri"><option><? echo $row["dc_pri"]; ?></option><option>up</option><option>down</option><option>nolink</option></select>
   	</div>
	<div class="form-group">
        <label for="dc_sec">DC Secondary:</label>
        <select class="form-control" name="dc_sec" id="dc_sec"><option><? echo $row["dc_sec"]; ?></option><option>up</option><option>down</option><option>nolink</option></select>
        </div>
	<div class="form-group">
        <label for="dr_pri">DR Primary:</label>
        <select class="form-control" name="dr_pri" id="dr_pri"><option><? echo $row["dr_pri"]; ?></option><option>up</option><option>down</option><option>nolink</option></select>
        </div>
	<div class="form-group">
        <label for="dr_sec">DR Secondary:</label>
        <select class="form-control" name="dr_sec" id="dr_sec"><option><? echo $row["dr_sec"]; ?></option><option>up</option><option>down</option><option>nolink</option></select>
        </div>
	<div class="form-group">
      <label for="remarks">Connected Info:</label>
	  <textarea name="coninfo" id="coninfo" class="form-control"><? echo $row["coninfo"]; ?></textarea>
    </div>
    <div class="form-group">
      <label for="remarks">Remarks:</label>
	  <textarea name="remarks" id="remarks" class="form-control"><? echo $row["remarks"]; ?></textarea>
    </div>
    <button type="submit" class="btn btn-primary btn-lg btn-block">Submit</button>
  </form>
</div>

<?php
};
// Edit user account
} elseif ($_GET['action'] == 'edituseracc' OR $_GET['action'] == 'edituserdata' ) {
	if ($_GET['action'] == 'edituseracc') {
	$sql = "SELECT * FROM tbusers WHERE id = '".$_SESSION['uzdata']['id']."'";
	$result = mysql_query ($sql, $link);
	}
	else {
	$sql = "SELECT * FROM tbusers WHERE id = '".$_GET['id']."'";
	$result = mysql_query ($sql, $link);
		}
while ($row = mysql_fetch_assoc($result)) {
?>

<div class="container-fluid" style="background-color:#EFEFEF; max-width:450px; min-height:580px;">
  <h2>Edit user of <?php echo $row["Name"]; ?></h2>
  <form action="bank_list.php?action=edituseraccdata&id=<?php echo $row["id"]; ?>" method="post" name="edit_formmain">
    <div class="form-group">
      <label for="name">Name:</label>
      <input type="text" class="form-control" name="name" id="name" placeholder="" value="<?php echo $row["Name"]; ?>">
    </div>
	  <div class="form-group">
      <label for="designation">Designation:</label>
      <input type="text" class="form-control" name="designation" id="designation" placeholder="" value="<?php echo $row["designation"]; ?>">
    </div>
	  <div class="form-group">
      <label for="email">Email:</label>
      <input type="text" class="form-control" name="email" id="email" placeholder="" value="<?php echo $row["email"]; ?>">
    </div>
	  <div class="form-group">
      <label for="password">New Password:</label>
      <input type="password" class="form-control" name="password" id="password" placeholder="">
    </div>
    <div class="form-group">
    <label for="permission">Permission:</label>
    <select class="form-control" name="permission" id="permission"><?php if ($row["permission"] == '1') { ?><option value="1">Full</option><?php } else { ?><option value="0">Read</option><?php } ?><option value="1">Full</option><option value="0">Read</option></select>
    </div>
	<div class="form-group">
    <label for="status">Status:</label>
    <select class="form-control" name="status" id="status"><?php if ($row["status"] == '1') { ?><option value="1">Enable</option><?php } else { ?><option value="0">Disable</option><?php } ?><option value="1">Enable</option><option value="0">Disable</option></select>
    </div>
    <button type="submit" class="btn btn-primary btn-lg btn-block">Submit</button>
  </form>
</div>
<?php
}
// Edit user account_data
} elseif ($_GET['action'] == 'edituseraccdata') {
	$name1 = mysql_escape_string(trim($_POST['name']));
	$designation = mysql_escape_string(trim($_POST['designation']));
	$email = mysql_escape_string(trim($_POST['email']));
	$password = mysql_escape_string(trim($_POST['password']));
	$permission = mysql_escape_string(trim($_POST['permission']));
	$status = mysql_escape_string(trim($_POST['status']));

	if (empty($password)) {
			$updateSQL = "UPDATE `tbusers` SET `Name` = '".$name1."',`designation` = '".$designation."',`email` = '".$email."',`permission` = '".$permission."',`status` = '".$status."' WHERE `id` = ".$_GET['id']."";
			mysql_query($updateSQL, $link);
		echo '<div class="alert alert-success" role="alert">Your information successfully updated.</div>';
	}
	else {
		$updateSQL = "UPDATE `tbusers` SET `Name` = '".$name1."',`designation` = '".$designation."',`email` = '".$email."',`password` = '".$password."',`permission` = '".$permission."',`status` = '".$status."' WHERE `id` = ".$_GET['id']."";
		mysql_query($updateSQL, $link);
		echo '<div class="alert alert-success" role="alert">Your information successfully updated.</div>';
	}

// View user account
} elseif ($_GET['action'] == 'viewuseracc') {
$sql = "SELECT * FROM tbusers ORDER BY id ASC";
$result = mysql_query ($sql, $link);
?>
<div class="table-responsive">
<!-- <table class="table"> -->
<table id="banktable" class="table table-striped table-hover gradienttable" cellspacing="0" width="100%">
<!-- <caption>Bank DC DR Link Status</caption> -->
<thead>
	<tr class="active">
		<th>#</th>
		<th>Name</th>
		<th>Designation</th>
		<th>Email</th>
		<th>Permission</th>
		<th>Status</th>
	 <?php if ( $_SESSION['uzdata']['permission'] == '1') { ?>
		<th>Action</th>
	 <?php } ?>
	</tr>
</thead>
<tbody>
<?php
$sln = 1;
while ($row = mysql_fetch_assoc($result)) {
?>
            <tr>
            <td><?php echo $sln; ?></td>
            <td><?php echo $row["Name"]; ?></td>
            <td><?php echo $row["designation"]; ?></td>
            <td><?php echo $row["email"]; ?></td>
            <td><?php if ($row["permission"] == '1') { ?> Full <?php } else { ?>Read<?php } ?></td>
            <td><?php if ($row["status"] == '1') { ?> Enable <?php } else { ?>Disable<?php } ?></td>
            <?php if ( $_SESSION['uzdata']['permission'] == '1') { ?>
            <td><a href="bank_list.php?action=edituserdata&id=<?php echo $row["id"];?>" class="btn btn-default btn-sm"><span title="Edit" class="glyphicon glyphicon-edit">Edit</span></a></td>
			<?php } ?>
			</tr>
<?php
}
// Edit data Final
} elseif ($_GET['action'] == 'editdata') {
$bankname = mysql_escape_string(trim($_POST['bankname']));
$dc_pri = mysql_escape_string(trim($_POST['dc_pri']));
$dc_sec = mysql_escape_string(trim($_POST['dc_sec']));
$dr_pri = mysql_escape_string(trim($_POST['dr_pri']));
$dr_sec = mysql_escape_string(trim($_POST['dr_sec']));
$udtime = date('Y-m-d H:i:s');
$coninfo = mysql_escape_string(trim($_POST['coninfo']));
$remarks = mysql_escape_string(trim($_POST['remarks']));
if(!empty($bankname) && !empty($dc_pri) && !empty($dc_sec) && !empty($dr_pri) && !empty($dr_sec) && !empty($coninfo)) {
	$updateSQL = "UPDATE `tbbankinfo` SET `bankname` = '".$bankname."',`dc_pri` = '".$dc_pri."',`dc_sec` = '".$dc_sec."',`dr_pri` = '".$dr_pri."',`dr_sec` = '".$dr_sec."',`udtime` = '".$udtime."',`coninfo` = '".$coninfo."',`remarks` = '".$remarks."' WHERE `id` = ".$_GET['id']."";
	mysql_query($updateSQL, $link);
	echo '<div class="alert alert-success" role="alert">Your information successfully updated.</div>';
}
else {
echo '<div class="alert alert-danger" role="alert">You did not fill-up all field.</div>';
}
// add new user
} elseif ($_GET['action'] == 'addnewacc') {
?>

<div class="container-fluid" style="background-color:#EFEFEF; max-width:450px; min-height:580px;">
  <h2>Add new user form</h2>
  <form action="bank_list.php?action=adduserdata" method="post" name="add_formmain">
    <div class="form-group">
      <label for="name">Name:</label>
      <input type="text" class="form-control" name="name" id="name" placeholder="">
    </div>
	  <div class="form-group">
      <label for="designation">Designation:</label>
      <input type="text" class="form-control" name="designation" id="designation" placeholder="">
    </div>
	  <div class="form-group">
      <label for="email">Email:</label>
      <input type="text" class="form-control" name="email" id="email" placeholder="">
    </div>
	  <div class="form-group">
      <label for="password">Password:</label>
      <input type="password" class="form-control" name="password" id="password" placeholder="">
    </div>
    <div class="form-group">
    <label for="permission">Permission:</label>
    <select class="form-control" name="permission" id="permission"><option value="1">Full</option><option value="0">Read</option></select>
    </div>
	<div class="form-group">
    <label for="status">Status:</label>
    <select class="form-control" name="status" id="status"><option value="1">Enable</option><option value="0">Disable</option></select>
    </div>
    <button type="submit" class="btn btn-primary btn-lg btn-block">Submit</button>
  </form>
</div>
<?php
// Add user account
} elseif ($_GET['action'] == 'adduserdata') {
$name1 = mysql_escape_string(trim($_POST['name']));
$designation = mysql_escape_string(trim($_POST['designation']));
$email = mysql_escape_string(trim($_POST['email']));
$password = mysql_escape_string(trim($_POST['password']));
$permission = mysql_escape_string(trim($_POST['permission']));
$status = mysql_escape_string(trim($_POST['status']));

if(!empty($name) && !empty($designation) && !empty($email) && !empty($password)) {
        $InsertSQLacc = "INSERT INTO `tbusers` (`id`, `Name`, `designation`, `email`, `password`, `permission`, `status`) VALUES ('','".$name1."','".$designation."','".$email."','".$password."','".$permission."','".$status."')";
        mysql_query($InsertSQLacc, $link);

	echo '<div class="alert alert-success" role="alert">Your information successfully added.</div>';
}
else {
echo '<div class="alert alert-danger" role="alert">You did not fill-up all field.</div>';
}

// view details
} elseif ($_GET['action'] == 'viewdetail') {
$sql = "SELECT * FROM tbbankinfo WHERE id = '".$_GET['id']."' LIMIT 1";
$result = mysql_query ($sql, $link);
while ($row = mysql_fetch_assoc($result)) {
?>

<div class="container-fluid" style="background-color:#EFEFEF; max-width:600px; min-height:580px;">
  <h3>View Details of <?php echo $row["bankname"];?> </h3>
    <div class="form-group">
      <label for="bankname">Bank Name:</label>
      <input readonly ype="text" class="form-control" name="name" id="name" placeholder="" value="<?php echo $row["bankname"];?>">
    </div>
          <div class="form-group">
      <label for="dc_pri">DC Primary:</label>
      <input readonly type="text" class="form-control" name="designation" id="designation" placeholder="" value="<?php echo $row["dc_pri"];?>">
    </div>
          <div class="form-group">
      <label for="dc_sec">DC Secondary:</label>
      <input readonly type="text" class="form-control" name="email" id="email" placeholder="" value="<?php echo $row["dc_sec"];?>">
    </div>
          <div class="form-group">
      <label for="dr_pri">DR Primary:</label>
      <input readonly type="text" class="form-control" name="password" id="password" placeholder="" value="<?php echo $row["dr_pri"];?>">
    </div>
          <div class="form-group">
      <label for="dc_sec">DR Secondary:</label>
      <input readonly type="text" class="form-control" name="password" id="password" placeholder="" value="<?php echo $row["dr_sec"];?>">
    </div>
      <div class="form-group">
      <label for="coninfo">Connected Info:</label>
      <textarea readonly name="coninfo" id="coninfo" class="form-control" rows="4" ><?php echo $row["coninfo"];?></textarea>
    </div>
      <div class="form-group">
      <label for="remarks">Remarks:</label>
      <textarea readonly name="coninfo" id="coninfo" class="form-control" rows="4" ><?php echo $row["remarks"];?></textarea>
    </div>
    <div class="form-group">
      <label for="udtime">Last Updated Time:</label>
      <input readonly type="test" class="form-control" name="password" id="password" placeholder="" value="<?php echo $row["udtime"];?>">
    </div>
    <div class="form-group">
    <a href="bank_list.php?action=edit&id=<?php echo $row["id"];?>" class="btn btn-primary btn-lg btn-block" role="button">Edit</a>
    </div>
</div>

<?php }
// Add data
} elseif ($_GET['action'] == 'addnewdata') {
$bankname = mysql_escape_string(trim($_POST['bankname']));
$dc_pri = mysql_escape_string(trim($_POST['dc_pri']));
$dc_sec = mysql_escape_string(trim($_POST['dc_sec']));
$dr_pri = mysql_escape_string(trim($_POST['dr_pri']));
$dr_sec = mysql_escape_string(trim($_POST['dr_sec']));
$udtime = date('Y-m-d H:i:s');
$coninfo = mysql_escape_string(trim($_POST['coninfo']));
$remarks = mysql_escape_string(trim($_POST['remarks']));
if(!empty($bankname) && !empty($dc_pri) && !empty($dc_sec) && !empty($dr_pri) && !empty($dr_sec) && !empty($coninfo)) {
	$InsertSQL = "INSERT INTO `tbbankinfo` (`id`, `bankname`, `dc_pri`, `dc_sec`, `dr_pri`, `dr_sec`, `udtime`, `coninfo`, `remarks`) VALUES ('','".$bankname."','".$dc_pri."','".$dc_sec."','".$dr_pri."','".$dr_sec."','".$udtime."','".$coninfo."','".$remarks."')";
	mysql_query($InsertSQL, $link);
	echo '<div class="alert alert-success" role="alert">Your information successfully added.</div>';
}
else {
echo '<div class="alert alert-danger" role="alert">You did not fill-up all field.</div>';
}
// view table data
} else {
$sql = "SELECT * FROM tbbankinfo ORDER BY bankname ASC";
$result = mysql_query ($sql, $link);
?>
<div class="table-responsive">
<!-- <table class="table"> -->
<!--
<table id="banktable" class="table table-striped table-hover gradienttable" cellspacing="0" width="100%">
-->
<table class="table table-striped table-hover gradienttable sort_table" cellspacing="0" width="100%">
<!-- <caption>Bank DC DR Link Status</caption> -->
<thead>
	<tr class="active">
		<th>#</th>
		<th>Bank Name</th>
		<th>DC Pri</th>
		<th>DC Sec</th>
		<th>DR Pri</th>
		<th>DR Sec</th>
		<th>Update Time</th>
		<th>Action</th>
	</tr>
</thead>
<tbody class="searchable">
<?php
$sln = 1;
while ($row = mysql_fetch_assoc($result)) {
?>
            <tr>
            <td><?php echo $sln; ?></td>
            <td><?php echo $row["bankname"]; ?></td>
            <td><?php if ($row["dc_pri"] == "up" ) { ?><span class="glyphicon glyphicon-ok" style="color:#00FF00;"> <?php } elseif ($row["dc_pri"] == "down" ) { ?> <span class="glyphicon glyphicon-remove" style="color:#FF0000;"></span> <?php } else { ?><span class="glyphicon glyphicon-question-sign"><?php } ?></span></span></td>
            <td><?php if ($row["dc_sec"] == "up" ) { ?><span class="glyphicon glyphicon-ok" style="color:#00FF00;"> <?php } elseif ($row["dc_sec"] == "down" ) { ?> <span class="glyphicon glyphicon-remove" style="color:#FF0000;"></span> <?php } else { ?><span class="glyphicon glyphicon-question-sign"><?php } ?></span></span></td>
            <td><?php if ($row["dr_pri"] == "up" ) { ?><span class="glyphicon glyphicon-ok" style="color:#00FF00;"> <?php } elseif ($row["dr_pri"] == "down" ) { ?> <span class="glyphicon glyphicon-remove" style="color:#FF0000;"></span> <?php } else { ?><span class="glyphicon glyphicon-question-sign"><?php } ?></span></span></td>
            <td><?php if ($row["dr_sec"] == "up" ) { ?><span class="glyphicon glyphicon-ok" style="color:#00FF00;"> <?php } elseif ($row["dr_sec"] == "down" ) { ?> <span class="glyphicon glyphicon-remove" style="color:#FF0000;"></span> <?php } else { ?><span class="glyphicon glyphicon-question-sign"><?php } ?></span></span></td>
            <td><?php echo $row["udtime"]; ?></td>
	<td><?php if ( $_SESSION['uzdata']['permission'] == '1') { ?>
            <a href="bank_list.php?action=edit&id=<?php echo $row["id"];?>" class="btn btn-default btn-sm"><span title="Edit" class="glyphicon glyphicon-edit"></span></a>
            <?php } ?>
            <a href="bank_list.php?action=viewdetail&id=<?php echo $row["id"];?>" class="btn btn-default btn-sm"><span title="View Details" class="glyphicon glyphicon-list-alt"></span></a>
            <?php if ( $_SESSION['uzdata']['permission'] == '1') { ?>
            <a href="bank_list.php?action=delete&id=<?php echo $row["id"];?>" class="btn btn-default btn-sm"><span style="color:#FF0000;" title="Delete" class="glyphicon glyphicon-remove-sign"></span></a> <?php } ?></td>
            </tr>
<?php
$sln = $sln + 1;
};
?>
</tbody>
</table>
</div>
<?php } ?>

<footer class="footer">
  <div class="container">
    <p class="text-muted">Powered by BDCOM Online Limited, Develop by Uzzal Kumar Karmaker.</p>
  </div>
</footer>

    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.table-sort.js"></script>
    <script>
		$(function(){
	    // jQuery methods go here...
	    $("table.sort_table").sort_table({
	        "action" : "init"
	    	});
		});
		// Search
		$(document).ready(function () {
		    (function ($) {
		      $('#filter').keyup(function () {
		      var rex = new RegExp($(this).val(), 'i');
		      $('.searchable tr').hide();
		      $('.searchable tr').filter(function () {
		            return rex.test($(this).text());
		        }).show();
		      })
			}(jQuery));
		});
	</script>

</body>
</html>
<?php } else { header('location:login.php'); } ?>

