-- MySQL dump 10.13  Distrib 5.5.49, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: bankdcrd
-- ------------------------------------------------------
-- Server version	5.5.49-0ubuntu0.14.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `tbbankinfo`
--

DROP TABLE IF EXISTS `tbbankinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbbankinfo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bankname` varchar(50) NOT NULL,
  `dc_pri` varchar(10) NOT NULL,
  `dc_sec` varchar(10) NOT NULL,
  `dr_pri` varchar(10) NOT NULL,
  `dr_sec` varchar(10) NOT NULL,
  `udtime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `coninfo` varchar(200) NOT NULL,
  `remarks` varchar(200) NOT NULL,
  `bankname1` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `bankname1` (`bankname1`)
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbbankinfo`
--

LOCK TABLES `tbbankinfo` WRITE;
/*!40000 ALTER TABLE `tbbankinfo` DISABLE KEYS */;
INSERT INTO `tbbankinfo` VALUES (1,'Agrani Bank','up','down','down','nolink','2021-01-03 10:59:37','192.168.83.78*3|192.168.83.149*6\r\nNo switch at Dc End Link Shifting process Manually\r\nIP >> 172.18.1.240/28','Connected from Colo city SW through UTP to Dated 03.12.14\r\n192.168.83.99*06 >>IP 172.18.1.252(Up-jheel proxy) No DR Secondary. Now DC is up from primary(83.78*3).','Agrani Bank'),(2,'AIBL (Al Arafa Bank limited)','up','down','up','nolink','2016-04-23 23:38:14','192.168.83.16*10(up) & 192.168.82.40*2\r\nIP >> 10.255.4.42(up)\r\n192.168.83.10*2 Uttara DR 10.255.14.41/30(Up)','No DR Secoundary.\r\n192.168.82.40*2 --- Shutdown Ethernet0/0/2 ï¿½ Trunk-AIBL(down)',''),(5,'BBL (Brack Bank Limited)','up','up','up','nolink','2016-04-23 23:43:49','DC Primary 192.168.83.34*4 >>IP 10.222.40.2/30\r\nDC Secondary 192.168.83.79*8>> IP 10.222.40.10/30\r\nDR Tongi  F@H SCR - 2247 IP >>10.222.40.18(Up)','No Link at  DR Secondary.',''),(6,'BKB (Bangladesh Kreshi Bank)','up','down','up','nolink','2016-04-23 23:49:51','DC End Switch 172.31.5.166\r\n\r\nConnected from 192.168.83.4*1(Up), 192.168.82.40*5(Up)','DR SW  Mirpur Rupayan POP 192.168.83.173*7(up). DC link is up by pri(83.4*1)',''),(7,'BCBL (Bangladesh Commerce Bank)','up','nolink','nolink','nolink','2016-04-23 23:46:16','192.168.83.48*15>> IP 10.255.4.9/30(up)','No Link at DR & DC 2nd.\r\n83.48*15 is not showing on orion',''),(8,'Basic Bank Limited','up','up','nolink','nolink','2016-04-23 23:40:58','192.168.82.40*7 Primary \r\n192.168.83.56*6 Secoundary','Both link up',''),(9,'Bank Asia','up','down','nolink','nolink','2016-04-23 23:39:30','DC end SW IP: 192.168.82.238 1st link from Motijheel-F@H 83.16*16\r\n\r\n2nd link link from Motijheel 83.4*23','Shutdown Ethernet1/0/23 ï¿½ Bank-Asia-DC-82-238-2nd-Link \r\n\r\nNo link for DR connectivity',''),(10,'City Bank Bangladesh Limited','up','up','up','nolink','2016-04-23 23:53:09','DC End Switch 192.168.82.190\r\nDC  192.168.82.40*21 (Radio POP), 192.168.83.38*6 (Jheel Off SFP SW)\r\nDR 192.168.82.170*4 >> IP 10.255.20.97/29 Anik tower','Fiber down from (83.38*6) running from (82.40*21). DC end switch is (82.190) up. Now running from Radio pop. All link up.(11.01.16)',''),(11,'City Bank NA','down','nolink','nolink','nolink','2016-04-23 23:53:23','192.168.82.40*11(Down)','No link for DR Pri secondary connectivity\r\nShowing 82.40*11  Ethernet0/0/11 ï¿½ ANF-Internet  down',''),(12,'DBBL (Dutch Bangla Bank Limited)','up','up','down','up','2016-04-23 23:53:36','1st link from F@H \r\n83.12*10 SCR:963 &  secondary link from BDCOM-Nilu-83.50*48 \r\nDC-DR 1st link Dark core SCR:4292 & 2nd link Dark core SCR:4463 &\r\nDBBL Mobile DC-DR Dark core SCR:3519','secondary link SW port Shutdown 83.50*48 not showing on orion..',''),(13,'DBL (Dhaka Bank Limited)','up','down','nolink','nolink','2016-04-23 23:54:37','DC End Switch 192.168.82.102\r\n192.168.83.16*20(up) ,192.168.83.41*14(down). SCR ID#801','(No link for DR) SW port 83.16*20 is up & 83.41*14 is shutdown.\r\nShutdown		Ethernet1/0/14 ï¿½ Trunk-Dhaka-Bank-Sara',''),(14,'Exim Bank limited','up','down','up','nolink','2016-04-24 00:05:56','DC End Switch 192.168.82.192\r\n192.168.83.34*24(1st), 192.168.83.44*16(2nd)(Shut down)\r\nHave DC -DR Dark Core through F@H SCR - 618','(No link for DR Secondary). SW port 83.34*24 is Up & 83.44*16 shutdown.',''),(15,'EBL (Estarn Bank Limited)','down','up','up','nolink','2016-04-23 23:55:37','DC 1st link from Motijheel-pop 83.4*20(shut down)\r\n2nd link link from Motijheel-F@H 83.16*4 \r\nDR 1st link from F@H Uttara-83.15*9 SCR:346','83.4 Switchport Shutdown Ethernet1/0/20   ï¿½ Eastern_Bank_HQ_Overhead\r\nNo link for DR secondary connectivity',''),(16,'FSIBL (First Security Islami Bank Limited)','up','up','up','nolink','2016-04-24 00:24:52','DC 1st link from Motijheel-RP 83.40*24\r\nDC 2nd link link from Uttara POP 83.8*23 \r\nDR 1st link from BDCOM Saver-pop 83.239*6  ip: 10.255.29.253/30','(No link for DR secondary connectivity). \r\nShutdown		Ethernet0/0/23 ï¿½ Trunk-Basundhara-BDCOM (83.8*23)',''),(17,'FBL (Fermers Bank Limited)','up','up','nolink','nolink','2016-04-24 00:21:49','DC end Mikrotik Router Primary BGP > 10.255.25.166/30 Secondary BGP> 10.255.5.186/30\r\nDC IP >>>10.255.21.201/29\r\n83.85*09 (pri), 83.34*15(sec)(both up)','NO Link for DR',''),(18,'IBBL (Islami Bank imited)','up','up','up','up','2016-04-24 00:34:36','DC 1st link from F@H 83.16*21 SCR:98\r\n2nd link from Motijheel-POP 83.4*17                                                               \r\n\r\n2nd link from Motijheel SW 83.','HOT DRS 1st link from F@H 82.99*18 SCR (problem) \r\n300mb LINK through F@H ((Layer-2 connectivity in between HDR and SDR of IBBL with the capacity of 300',''),(19,'HBL (Habib Bank Limited)','up','up','up','nolink','2016-04-24 00:30:16','DC 1st link from F@H Khaja 82.97*3\r\n2nd link link from Gulshan-POP 83.35*6  \r\nDR 1st link from Colocity SW 83.99*2 (FTTX)SCR:11284','No link for DR Secondary: (all up)',''),(20,'IFIC','up','up','nolink','nolink','2016-04-24 00:38:06','DC IP Primary-172.31.240.105/30(up) Sec:172.31.238.161/30(up)\r\nDC primary_192.168.82.108*33 & DC Secondary_192.168.82.40*3','82.108*33 not showing on orion.\r\nNO link for DR..',''),(21,'JBL (Jamuna Bank Limited)','down','up','up','nolink','2016-04-09 21:28:49','DC End Switch 192.168.82.181*2\r\nPri 192.168.83.4*13\r\nSec192.168.83.56*22','DR Uttara 192.168.83.10*16>> IP 10.255.21.145/29\r\nSec192.168.83.56*22 Now Up\r\nPri 192.168.83.4*13 Shutdown manually\r\nShutdown		Ethernet1/0/13 ï¿½ Trunk-Jamuna-IP82-181',''),(22,'Midland Bank Limited','up','up','up','nolink','2016-05-08 01:27:01','DC 1st link 83.38*22  \r\nDC 2nd link 83.74*20\r\nDR 1st 83.34*19.','(No DR Secondary link). All up now.',''),(23,'Meghna bank Limited','up','down','nolink','nolink','2016-04-09 21:33:07','DC 1st link 192.168.83.15*2 & DC 2nd link 192.168.83.40*11','(No DR connectivity). 83.40*11(may be changed)\r\nDown		Ethernet0/0/11 ï¿½ Trunk-Uttara-BDCOM',''),(24,'MTBL (Mutual Trust Bank Limited)','down','up','down','down','2016-04-09 21:36:14','MTBL DC (Primary - 83.30*41) (Redundant - 83.44*20[up])','(No DR Connectivity)',''),(25,'MBL (Marcanntile  Bank Limited)','up','up','up','nolink','2016-04-09 21:31:03','DC (Primary - 83.41*12 ) & DC (Secondary - 83.139*8) . DR 1st link 83.8*14.(all up)','No link for DR Secondary.',''),(26,'NBCL (NRB Commercial Bank Limited)','up','up','down','down','2016-04-09 21:42:01','(DR Hemayetpur - 82.180*10), (DC Primary - 83.56*04), (NRBCL DC-DR 10 MB L3 Link - Secondary - 82.180*8),','up from Colocity DC Primary 83.99*5 & secondary 83.56*4  \r\nDR Hemayetpur - 82.180*10 & 82.180*8 shut down.',''),(27,'NRB (NRB Bank Limited)','up','up','up','up','2016-04-02 23:19:54','DC: (P: 83.99*5)  (S: 83.160*1),(up all)\r\nDR: 82.180*13','up all',''),(28,'OBL (One Bank Limited)','up','up','up','nolink','2016-04-10 00:17:55','DC 1st link from F@H SW: 82.97*G-0/0/2 SCR:11846, DC 2nd link from Summit \"Dark Fiber\" & 3rd link from F@H-Pantha 83.17*14(shut down) SCR 348\r\n DR 1st link F@H  (K-handa (13356 -STM) & 2nd link GP-Sgo','DC 3rd link SW port Shutdown Ethernet0/0/24 ï¿½ Trunk-FH-Pantha\r\nDR Sirajgang F@H link... Down GigabitEthernet0/1 ï¿½ Trunk-Kamarkhand\r\n(83.17*14) Manually shutdown',''),(29,'PBL (Pubali Bank Limited)','up','down','up','up','2016-04-02 23:13:23','DC end SW IP 192.168.83.183 (up)\r\nsecondary overhead fiber from 83.84*22\r\nPrimary link from F@H 83.78*25 SCR: 3045\r\nPBL-DR: 83.10*18-2M link 3rd link\r\nDC-DR 1st link from Uttara Pop 83.8*13 10M(up)\r\nD','secondary SW port (83.139*G1) Shutdown GigabitEthernet0/0/1 ï¿½ Trunk-PBL-Redundant',''),(30,'Prime Bank Limited','up','nolink','nolink','nolink','2016-04-02 23:17:01','192.168.83.16*6[up]','L2 Connectivity[up]',''),(31,'Premier Bank Limited','up','up','nolink','nolink','2016-04-02 23:15:46','192.168.83.79*28 (Primary), 192.168.83.34*20 (Secondary)\r\nBGP P: 10.255.29.61/30 BGP Sec: 10.255.28.89/30','Have router Huwei Router in DC end \r\nBoth link up.',''),(32,'RBL (Rupali Bank Limited)','up','up','nolink','nolink','2016-04-02 23:21:34','DC 1st link from Motijheel-RP 82.40*13\r\n2nd link link from F@H-M 83.56*1 SCR:7672','No link for DR connectivity. (up all)',''),(33,'Sonali Bank limited','down','up','up','nolink','2016-04-10 00:53:33','DC end SW IP:  172.31.5.188 , 1st link from F@H Motijheel-CO- 192.168.83.16*11 SCR: 6996 \r\n & 2nd link 192.168.83.84*10','Have DR connectivity. Switch port shut at (83.84*10).[up all]',''),(34,'SBL (Standard Bank Limited)','up','up','nolink','nolink','2016-04-02 23:26:25','Pri:83.38*19 & Sec:192.168.82.108* 43(Up all)','No Link for DR\r\nSwitch port (82.108*43) is not showing on Orion.',''),(35,'SEBL (South East Bank Limited)','up','down','up','nolink','2016-04-10 01:14:14','DC End SW  192.168.83.138\r\nSEBL SW ip 172.31.5.167\r\n192.168.83.78*20 and SEBL-DC-REdundant-Radio 83.74*3\r\nDC to DR Capacity Link  192.168.83.15*23 & 83.138*2','Radio link down from Radio POP> SEBL-DC-REdundant-Radio 83.74*3 Shut Manually\r\nand 83.138*2  is not showing in orion.',''),(36,'SBAC (South Bangla Agricalture Bank Limited)','up','up','up','nolink','2016-04-02 23:24:16','192.168.82.40*6 & 83.56*9(up all)\r\nDR 192.168.83.48*22 CoLo Asia','No Dr Secondary Link... DR 192.168.83.48*22  not in orion',''),(37,'SCB (Standard Chartard Bank Limited)','up','up','nolink','nolink','2016-04-02 23:27:17','SCB house Gls SW >>172.31.5.123(up)','Have Switch AT SCB GLS',''),(38,'SJIBL (Shahajalal Bank limited)','up','up','nolink','nolink','2016-04-10 01:08:33','Primary 192.168.83.35*7 Redundant: 192.168.83.44*23','NO Sw at DC end and NO DR Link[up all]',''),(39,'UBL (Uttara Bank Bangladesh Limited)','up','up','up','nolink','2016-04-10 00:45:53','192.168.82.108*32 Primary ; DC Redundant 82.40*04 (Radio POP)[up]\r\nDR link >192.168.83.8*3','NO DR secondary link. Primary switch 82.108*32 not shown at Orion.',''),(40,'UCBL (United Commerciam Bank Limited)','up','up','nolink','nolink','2016-04-10 00:43:17','DC 1st link from Gulshan-POP 83.34*8\r\n2nd link link from Gulshan-POP 83.34*2 & No link for DR connectivity','No link for DR connectivity [up all]',''),(41,'TBL (Trust Bank Bangladesh Limited )','up','down','nolink','nolink','2016-04-10 01:04:02','192.168.83.13*14 Fiber[up] 192.168.82.170*1 Radio(shut)','Radio Link port Shut',''),(42,'National Bank of Bangladesh','up','up','up','nolink','2016-04-09 21:39:01','192.168.83.16*17 (pri), 83.38*10 (Sec)(All up)','No Link at DR SEC',''),(43,'Rakub (Rajshahi Krishi Unnyan bank)','up','nolink','nolink','nolink','2016-04-02 23:19:16','192.168.83.45*15 Rajshahi','IP Prefix: RAKUB Internet: 119.40.85.56/30 RAKUB-DBBL M Banking: 10.255.28.28/30 (up all)',''),(44,'Bank of Pakistan','up','nolink','nolink','nolink','2016-04-23 23:39:38','Internet Client >>>>>>>>>>>>No Data connectivity','No DC Secondary / DR Links..',''),(45,'BDBL (Bankladesh development Bank)','up','down','nolink','nolink','2016-04-23 23:47:27','Pri 192.168.83.41*18(up) Sec 192.168.83.139*4(Down)','No Link at DR Primary and Secondary\r\nSec. 192.168.83.139*4 : Port shut down : Shutdown   Ethernet0/0/4 ï¿½ BDBL_2nd_LINK',''),(46,'NCC Bank','up','nolink','nolink','nolink','2016-04-02 23:21:51','192.168.83.139*03(Up)','Internet client.',''),(47,'Union Bank Bangladesh','up','up','nolink','nolink','2016-04-10 00:40:06','DC 1st link from Gulshan-POP 83.35*24\r\n2nd link link from Gulshan-POP 83.34*14','No link for DR connectivity.[up all]',''),(48,'Agrani Bank1','up','up','up','up','2017-09-20 09:48:25','Agrani Bank','Agrani Bank','Agrani Bank1'),(49,'Agrani Bank11','up','up','up','up','2017-09-20 09:48:53','Agrani Bank','Agrani Bank',''),(50,'Agrani Bank111','up','up','up','up','2017-09-20 09:56:06','Agrani Bank111','Agrani Bank111','');
/*!40000 ALTER TABLE `tbbankinfo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbusers`
--

DROP TABLE IF EXISTS `tbusers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbusers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) NOT NULL,
  `designation` varchar(50) NOT NULL,
  `email` varchar(50) NOT NULL,
  `password` varchar(20) NOT NULL,
  `permission` int(2) NOT NULL DEFAULT '1',
  `status` int(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbusers`
--

LOCK TABLES `tbusers` WRITE;
/*!40000 ALTER TABLE `tbusers` DISABLE KEYS */;
INSERT INTO `tbusers` VALUES (1,'aminul','Sr.Network Engineer','aminul@office.bdcom.com','first3393',1,1),(2,'NOC','NOC','noc@bdcom.com','123456',0,1),(3,'Support','Support','support@bdcom.com','bdc0m987',1,1);
/*!40000 ALTER TABLE `tbusers` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-09-20 18:24:30
