<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg10.php" ?>
<?php include_once "ewmysql10.php" ?>
<?php include_once "phpfn10.php" ?>
<?php include_once "user_signupinfo.php" ?>
<?php include_once "admin_userinfo.php" ?>
<?php include_once "userfn10.php" ?>
<?php

//
// Page class
//

$user_signup_delete = NULL; // Initialize page object first

class cuser_signup_delete extends cuser_signup {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = "{B8C27569-E62E-41E0-9172-EE62991F8DEA}";

	// Table name
	var $TableName = 'user_signup';

	// Page object name
	var $PageObjName = 'user_signup_delete';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-error ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<table class=\"ewStdTable\"><tr><td><div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div></td></tr></table>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language, $UserAgent;

		// User agent
		$UserAgent = ew_UserAgent();
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (user_signup)
		if (!isset($GLOBALS["user_signup"])) {
			$GLOBALS["user_signup"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["user_signup"];
		}

		// Table object (admin_user)
		if (!isset($GLOBALS['admin_user'])) $GLOBALS['admin_user'] = new cadmin_user();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'user_signup', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up curent action
		$this->user_sl->Visible = !$this->IsAdd() && !$this->IsCopy() && !$this->IsGridAdd();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $StartRowCnt = 1;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("user_signuplist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in user_signup class, user_signupinfo.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} else {
			$this->CurrentAction = "I"; // Display record
		}
		switch ($this->CurrentAction) {
			case "D": // Delete
				$this->SendEmail = TRUE; // Send email on delete success
				if ($this->DeleteRows()) { // Delete rows
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
					$this->Page_Terminate($this->getReturnUrl()); // Return to caller
				}
		}
	}

// No functions
	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn;

		// Call Recordset Selecting event
		$this->Recordset_Selecting($this->CurrentFilter);

		// Load List page SQL
		$sSql = $this->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $rowcnt OFFSET $offset";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->user_sl->setDbValue($rs->fields('user_sl'));
		$this->_userid->setDbValue($rs->fields('userid'));
		$this->password->setDbValue($rs->fields('password'));
		$this->user_name->setDbValue($rs->fields('user_name'));
		$this->address->setDbValue($rs->fields('address'));
		$this->mobile_no->setDbValue($rs->fields('mobile_no'));
		$this->_email->setDbValue($rs->fields('email'));
		$this->signupdate->setDbValue($rs->fields('signupdate'));
		$this->comments->setDbValue($rs->fields('comments'));
		$this->status->setDbValue($rs->fields('status'));
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF) return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->user_sl->DbValue = $row['user_sl'];
		$this->_userid->DbValue = $row['userid'];
		$this->password->DbValue = $row['password'];
		$this->user_name->DbValue = $row['user_name'];
		$this->address->DbValue = $row['address'];
		$this->mobile_no->DbValue = $row['mobile_no'];
		$this->_email->DbValue = $row['email'];
		$this->signupdate->DbValue = $row['signupdate'];
		$this->comments->DbValue = $row['comments'];
		$this->status->DbValue = $row['status'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// user_sl
		// userid
		// password
		// user_name
		// address
		// mobile_no
		// email
		// signupdate
		// comments
		// status

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// user_sl
			$this->user_sl->ViewValue = $this->user_sl->CurrentValue;
			$this->user_sl->ViewCustomAttributes = "";

			// userid
			$this->_userid->ViewValue = $this->_userid->CurrentValue;
			$this->_userid->ViewCustomAttributes = "";

			// password
			$this->password->ViewValue = $this->password->CurrentValue;
			$this->password->ViewCustomAttributes = "";

			// user_name
			$this->user_name->ViewValue = $this->user_name->CurrentValue;
			$this->user_name->ViewCustomAttributes = "";

			// address
			$this->address->ViewValue = $this->address->CurrentValue;
			$this->address->ViewCustomAttributes = "";

			// mobile_no
			$this->mobile_no->ViewValue = $this->mobile_no->CurrentValue;
			$this->mobile_no->ViewCustomAttributes = "";

			// email
			$this->_email->ViewValue = $this->_email->CurrentValue;
			$this->_email->ViewCustomAttributes = "";

			// signupdate
			$this->signupdate->ViewValue = $this->signupdate->CurrentValue;
			$this->signupdate->ViewCustomAttributes = "";

			// comments
			$this->comments->ViewValue = $this->comments->CurrentValue;
			$this->comments->ViewCustomAttributes = "";

			// status
			if (strval($this->status->CurrentValue) <> "") {
				switch ($this->status->CurrentValue) {
					case $this->status->FldTagValue(1):
						$this->status->ViewValue = $this->status->FldTagCaption(1) <> "" ? $this->status->FldTagCaption(1) : $this->status->CurrentValue;
						break;
					case $this->status->FldTagValue(2):
						$this->status->ViewValue = $this->status->FldTagCaption(2) <> "" ? $this->status->FldTagCaption(2) : $this->status->CurrentValue;
						break;
					default:
						$this->status->ViewValue = $this->status->CurrentValue;
				}
			} else {
				$this->status->ViewValue = NULL;
			}
			$this->status->ViewCustomAttributes = "";

			// user_sl
			$this->user_sl->LinkCustomAttributes = "";
			$this->user_sl->HrefValue = "";
			$this->user_sl->TooltipValue = "";

			// userid
			$this->_userid->LinkCustomAttributes = "";
			$this->_userid->HrefValue = "";
			$this->_userid->TooltipValue = "";

			// password
			$this->password->LinkCustomAttributes = "";
			$this->password->HrefValue = "";
			$this->password->TooltipValue = "";

			// user_name
			$this->user_name->LinkCustomAttributes = "";
			$this->user_name->HrefValue = "";
			$this->user_name->TooltipValue = "";

			// mobile_no
			$this->mobile_no->LinkCustomAttributes = "";
			$this->mobile_no->HrefValue = "";
			$this->mobile_no->TooltipValue = "";

			// email
			$this->_email->LinkCustomAttributes = "";
			$this->_email->HrefValue = "";
			$this->_email->TooltipValue = "";

			// signupdate
			$this->signupdate->LinkCustomAttributes = "";
			$this->signupdate->HrefValue = "";
			$this->signupdate->TooltipValue = "";

			// comments
			$this->comments->LinkCustomAttributes = "";
			$this->comments->HrefValue = "";
			$this->comments->TooltipValue = "";

			// status
			$this->status->LinkCustomAttributes = "";
			$this->status->HrefValue = "";
			$this->status->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $conn, $Language, $Security;
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;

		//} else {
		//	$this->LoadRowValues($rs); // Load row values

		}
		$conn->BeginTrans();

		// Clone old rows
		$rsold = ($rs) ? $rs->GetRows() : array();
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['user_sl'];
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		} else {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$PageCaption = $this->TableCaption();
		$Breadcrumb->Add("list", "<span id=\"ewPageCaption\">" . $PageCaption . "</span>", "user_signuplist.php", $this->TableVar);
		$PageCaption = $Language->Phrase("delete");
		$Breadcrumb->Add("delete", "<span id=\"ewPageCaption\">" . $PageCaption . "</span>", ew_CurrentUrl(), $this->TableVar);
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($user_signup_delete)) $user_signup_delete = new cuser_signup_delete();

// Page init
$user_signup_delete->Page_Init();

// Page main
$user_signup_delete->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$user_signup_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var user_signup_delete = new ew_Page("user_signup_delete");
user_signup_delete.PageID = "delete"; // Page ID
var EW_PAGE_ID = user_signup_delete.PageID; // For backward compatibility

// Form object
var fuser_signupdelete = new ew_Form("fuser_signupdelete");

// Form_CustomValidate event
fuser_signupdelete.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
fuser_signupdelete.ValidateRequired = true;
<?php } else { ?>
fuser_signupdelete.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php

// Load records for display
if ($user_signup_delete->Recordset = $user_signup_delete->LoadRecordset())
	$user_signup_deleteTotalRecs = $user_signup_delete->Recordset->RecordCount(); // Get record count
if ($user_signup_deleteTotalRecs <= 0) { // No record found, exit
	if ($user_signup_delete->Recordset)
		$user_signup_delete->Recordset->Close();
	$user_signup_delete->Page_Terminate("user_signuplist.php"); // Return to list
}
?>
<?php $Breadcrumb->Render(); ?>
<?php $user_signup_delete->ShowPageHeader(); ?>
<?php
$user_signup_delete->ShowMessage();
?>
<form name="fuser_signupdelete" id="fuser_signupdelete" class="ewForm form-horizontal" action="<?php echo ew_CurrentPage() ?>" method="post">
<input type="hidden" name="t" value="user_signup">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($user_signup_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table id="tbl_user_signupdelete" class="ewTable ewTableSeparate">
<?php echo $user_signup->TableCustomInnerHtml ?>
	<thead>
	<tr class="ewTableHeader">
<?php if ($user_signup->user_sl->Visible) { // user_sl ?>
		<td><span id="elh_user_signup_user_sl" class="user_signup_user_sl"><?php echo $user_signup->user_sl->FldCaption() ?></span></td>
<?php } ?>
<?php if ($user_signup->_userid->Visible) { // userid ?>
		<td><span id="elh_user_signup__userid" class="user_signup__userid"><?php echo $user_signup->_userid->FldCaption() ?></span></td>
<?php } ?>
<?php if ($user_signup->password->Visible) { // password ?>
		<td><span id="elh_user_signup_password" class="user_signup_password"><?php echo $user_signup->password->FldCaption() ?></span></td>
<?php } ?>
<?php if ($user_signup->user_name->Visible) { // user_name ?>
		<td><span id="elh_user_signup_user_name" class="user_signup_user_name"><?php echo $user_signup->user_name->FldCaption() ?></span></td>
<?php } ?>
<?php if ($user_signup->mobile_no->Visible) { // mobile_no ?>
		<td><span id="elh_user_signup_mobile_no" class="user_signup_mobile_no"><?php echo $user_signup->mobile_no->FldCaption() ?></span></td>
<?php } ?>
<?php if ($user_signup->_email->Visible) { // email ?>
		<td><span id="elh_user_signup__email" class="user_signup__email"><?php echo $user_signup->_email->FldCaption() ?></span></td>
<?php } ?>
<?php if ($user_signup->signupdate->Visible) { // signupdate ?>
		<td><span id="elh_user_signup_signupdate" class="user_signup_signupdate"><?php echo $user_signup->signupdate->FldCaption() ?></span></td>
<?php } ?>
<?php if ($user_signup->comments->Visible) { // comments ?>
		<td><span id="elh_user_signup_comments" class="user_signup_comments"><?php echo $user_signup->comments->FldCaption() ?></span></td>
<?php } ?>
<?php if ($user_signup->status->Visible) { // status ?>
		<td><span id="elh_user_signup_status" class="user_signup_status"><?php echo $user_signup->status->FldCaption() ?></span></td>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$user_signup_delete->RecCnt = 0;
$i = 0;
while (!$user_signup_delete->Recordset->EOF) {
	$user_signup_delete->RecCnt++;
	$user_signup_delete->RowCnt++;

	// Set row properties
	$user_signup->ResetAttrs();
	$user_signup->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$user_signup_delete->LoadRowValues($user_signup_delete->Recordset);

	// Render row
	$user_signup_delete->RenderRow();
?>
	<tr<?php echo $user_signup->RowAttributes() ?>>
<?php if ($user_signup->user_sl->Visible) { // user_sl ?>
		<td<?php echo $user_signup->user_sl->CellAttributes() ?>>
<span id="el<?php echo $user_signup_delete->RowCnt ?>_user_signup_user_sl" class="control-group user_signup_user_sl">
<span<?php echo $user_signup->user_sl->ViewAttributes() ?>>
<?php echo $user_signup->user_sl->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($user_signup->_userid->Visible) { // userid ?>
		<td<?php echo $user_signup->_userid->CellAttributes() ?>>
<span id="el<?php echo $user_signup_delete->RowCnt ?>_user_signup__userid" class="control-group user_signup__userid">
<span<?php echo $user_signup->_userid->ViewAttributes() ?>>
<?php echo $user_signup->_userid->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($user_signup->password->Visible) { // password ?>
		<td<?php echo $user_signup->password->CellAttributes() ?>>
<span id="el<?php echo $user_signup_delete->RowCnt ?>_user_signup_password" class="control-group user_signup_password">
<span<?php echo $user_signup->password->ViewAttributes() ?>>
<?php echo $user_signup->password->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($user_signup->user_name->Visible) { // user_name ?>
		<td<?php echo $user_signup->user_name->CellAttributes() ?>>
<span id="el<?php echo $user_signup_delete->RowCnt ?>_user_signup_user_name" class="control-group user_signup_user_name">
<span<?php echo $user_signup->user_name->ViewAttributes() ?>>
<?php echo $user_signup->user_name->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($user_signup->mobile_no->Visible) { // mobile_no ?>
		<td<?php echo $user_signup->mobile_no->CellAttributes() ?>>
<span id="el<?php echo $user_signup_delete->RowCnt ?>_user_signup_mobile_no" class="control-group user_signup_mobile_no">
<span<?php echo $user_signup->mobile_no->ViewAttributes() ?>>
<?php echo $user_signup->mobile_no->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($user_signup->_email->Visible) { // email ?>
		<td<?php echo $user_signup->_email->CellAttributes() ?>>
<span id="el<?php echo $user_signup_delete->RowCnt ?>_user_signup__email" class="control-group user_signup__email">
<span<?php echo $user_signup->_email->ViewAttributes() ?>>
<?php echo $user_signup->_email->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($user_signup->signupdate->Visible) { // signupdate ?>
		<td<?php echo $user_signup->signupdate->CellAttributes() ?>>
<span id="el<?php echo $user_signup_delete->RowCnt ?>_user_signup_signupdate" class="control-group user_signup_signupdate">
<span<?php echo $user_signup->signupdate->ViewAttributes() ?>>
<?php echo $user_signup->signupdate->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($user_signup->comments->Visible) { // comments ?>
		<td<?php echo $user_signup->comments->CellAttributes() ?>>
<span id="el<?php echo $user_signup_delete->RowCnt ?>_user_signup_comments" class="control-group user_signup_comments">
<span<?php echo $user_signup->comments->ViewAttributes() ?>>
<?php echo $user_signup->comments->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($user_signup->status->Visible) { // status ?>
		<td<?php echo $user_signup->status->CellAttributes() ?>>
<span id="el<?php echo $user_signup_delete->RowCnt ?>_user_signup_status" class="control-group user_signup_status">
<span<?php echo $user_signup->status->ViewAttributes() ?>>
<?php echo $user_signup->status->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$user_signup_delete->Recordset->MoveNext();
}
$user_signup_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</td></tr></table>
<div class="btn-group ewButtonGroup">
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("DeleteBtn") ?></button>
</div>
</form>
<script type="text/javascript">
fuser_signupdelete.Init();
</script>
<?php
$user_signup_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$user_signup_delete->Page_Terminate();
?>
